C ADJCOM.INC -------------------------------------------------------------------
      COMMON / ADJCOM / WIDADJ, STRADJ, DOPADJ, YMXADJ
      COMMON / ADJDBL / WNOADJ, ANTADJ, CNTADJ
C
C VERSION
C     14SEP15 AD Separate DP variables into ADJDBL
C     21OCT97 AD Convert ANTADJ, CNTADJ to DOUBLE PRECISION 
C     03MAR97 AD Version 3.
C     01OCT96 AD Version 2.
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     Common variables associated with path-adjusted line data 
C     Set by module ADJUST. 
C
      REAL             WIDADJ ! half width [cm-1]
      REAL             STRADJ ! line strength  [cm-1]
      REAL             DOPADJ ! Doppler half width [cm-1]
      REAL             YMXADJ ! Y mixing coeffient
      DOUBLE PRECISION WNOADJ ! Wavenumber [cm-1]
      DOUBLE PRECISION ANTADJ ! Non-lte factors for k abs
      DOUBLE PRECISION CNTADJ ! Non-lte factors for c abs
C
C ------------------------------------------------------------------------------
