      SUBROUTINE CMPSTR ( STRING, IPT, JPT, LPT )
C
C VERSION
C     14JUL15 AD Original.
C
C DESCRIPTION
C     Remove substring from string.
C     General purpose RFM module
C     Removes characters STRING(IPT:JPT) from STRING and returns adjusted
C     length LPT reduced by (JPT-IPT+1).
C
      IMPLICIT NONE
C
C ARGUMENT
      CHARACTER*(*) STRING  ! I/O String to be compressed
      INTEGER       IPT     !  I  Index of start of removed substring
      INTEGER       JPT     !  I  Index of end of removed substring
      INTEGER       LPT     !  O  Length of new string
C
C EXECUTABLE CODE --------------------------------------------------------------
C
      LPT = LEN ( STRING ) 
      IF ( IPT .LT. 1 .OR. JPT .LT. IPT .OR. JPT .GT. LPT ) 
     &  STOP 'F-CMPSTR: Inconsistent arguments'
C
      IF ( IPT .EQ. 1 .AND. JPT .EQ. LPT ) THEN
        STRING = ' '
        LPT = 0
        RETURN
      END IF
C
      IF ( IPT .EQ. 1 ) THEN
        STRING = STRING(JPT+1:)
      ELSE IF ( JPT .EQ. LPT ) THEN
        STRING = STRING(1:IPT-1)
      ELSE
        STRING = STRING(1:IPT-1)//STRING(JPT+1:)
      END IF
      LPT = LPT - ( JPT - IPT + 1) 
C
      END 
