C FOVCOM.INC -------------------------------------------------------------------
      COMMON / FOVCOM / NFOV, ELEFOV, ALTFOV
      COMMON / FOVDBL / FNCFOV
C
C VERSION
C     01SEP15 AD Separate DP variables into FOVDBL
C     26MAY00 AD Convert FNCFOV from S.P. to D.P.    
C     16JUL98 AD Add ELEFOV
C     03MAR97 AD Version 3.
C     01OCT96 AD Version 2.
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     MIPAS Field-of-View data.
C     This can either be as relative tangent altitudes or elevation angles.
C     Loaded and checked by FOVFIL.
C
      INTEGER          NFOV           ! No. FOV points stored
      LOGICAL          ELEFOV         ! T=stored elevation angles [deg]
      REAL             ALTFOV(MAXFOV) ! Rel.altitudes of FOV function
      DOUBLE PRECISION FNCFOV(MAXFOV) ! Normalised FOV function weights
C
C ------------------------------------------------------------------------------
