C GRDCOM.INC ------------------------------------------------------------------
      COMMON / GRDCOM / NGRD, NOPGRD, IOPGRD, TWOGRD, OUTGRD, FNCGRD
      COMMON / GRDDBL / WNOGRD, WNRGRD, WGTGRD
C
C VERSION
C     25SEP15 AD Separate DP variables into GRDDBL
C     14NOV14 AD Add WNRGRD
C     03JAN03 AD Add NOPGRD,IOPGRD,WGTGRD
C     12DEC97 AD Original.
C
C DESCRIPTION
C     Common variables associated with RFM Irregular grid data.
C     These data are loaded for each spectral range by SPCGRD and GRDILS
C
      INTEGER          NGRD           ! No. wavenumber points in grid
      INTEGER          NOPGRD(MAXGRD) ! No.o/p grid points for each irr.grd.pt
      INTEGER   IOPGRD(MAXOPG,MAXGRD) ! Index of o/p grid points 
      LOGICAL          TWOGRD         ! T=grid uses two-point interpolation
      LOGICAL          OUTGRD         ! T=map directly to o/p, F=interp.first
      CHARACTER*3      FNCGRD         ! Interpolation function
      DOUBLE PRECISION WNOGRD(MAXGRD) ! List of wavenumbers [cm-1] 
      DOUBLE PRECISION WNRGRD         ! Grid spectral resolution [cm-1]
      DOUBLE PRECISION WGTGRD(MAXOPG,MAXGRD) ! Weight to each o/p grid point
C
C -----------------------------------------------------------------------------
