C JACCOM.INC -------------------------------------------------------------------
      COMMON / JACCOM / NJAC, IGSJAC, IATJAC, ILOJAC, IUPJAC, ITNJAC,
     &                  JTPJAC
C
C VERSION
C     21JUL15 AD Add JTPJAC 
C     04FEB99 AD Add ILOJAC, IUPJAC
C     01JAN99 AD Original.
C
C DESCRIPTION
C     Jacobian data required for RFM calculations.
C     Loaded by JACCHK.
C
      INTEGER  NJAC           ! No. retrieval elements for Jacobian calc.
      INTEGER  IGSJAC(MAXJAC) ! Index of absorb.species for each Jac.Rtvl.El.
      INTEGER  IATJAC(MAXJAC) ! Atmos level# of each Jacobian rtvl. element
      INTEGER  ILOJAC(MAXJAC) ! Lower Atmos level# for perturbation=0
      INTEGER  IUPJAC(MAXJAC) ! Upper Atmos level# for perturbation=0
      INTEGER  ITNJAC(MAXTAN,MAXJAC) ! Index of extra Tan.pth for calc.
                                     ! dRad(ITAN)/dRtv(IJAC)
      INTEGER  JTPJAC(MAXJAC) ! Index of tangent path (with JTP flag)
C
C ----------------------------------------------------------------------------
