C LKPCOM.INC -------------------------------------------------------------------
      COMMON / LKPCOM / NLKP, IDXLKP, IL1PTH, IL2PTH, WGTLKP
C
C VERSION
C     13JAN14 AD Original.
C
C DESCRIPTION
C     Common variables associated with p,T,q interpolation of RFM Look-Up files.
C     NLKP initialised in LUTCHK and SPCLUT
C     Data loaded in LUTPTH or SVDPTH
C     Data read in RFMLUT or RFMSVD
C
      INTEGER      NLKP            ! Total number of p,T,q coords for interp.
      INTEGER      IDXLKP(MAXLKP)  ! Index of each TAB abs.coeff for interp.
      INTEGER      IL1PTH(MAXCLC)  ! Index of first coeff for each path seg
      INTEGER      IL2PTH(MAXCLC)  ! Index of last coeff for each path seg
      REAL         WGTLKP(MAXLKP)  ! Weight of each TAB abs.coeff for interp.
C
C ------------------------------------------------------------------------------
