      SUBROUTINE NAMLOG ( TEXT, FILNAM, FAIL, ERRMSG )
C
C VERSION
C     19DEC13 AD Original.
C
C DESCRIPTION
C     Send text plus variable length filename to log file.
C     General purpose routine
C     This replaces RFMLOG in situations where an indeterminate length filename
C     has been passed via a subroutine argument list, which therefore cannot be 
C     concatenated with TEXT as a single string passed to RFMLOG.
C
      IMPLICIT NONE
C
C ARGUMENTS
      CHARACTER*(*) TEXT   !  I  Text to send before filename
      CHARACTER*(*) FILNAM !  I  Filename
      LOGICAL       FAIL   !  O  Set TRUE if a fatal error is detected
      CHARACTER*80  ERRMSG !  O  Error message written if FAIL is TRUE
C
      EXTERNAL
     &  ACCLOG !  Accumulate and send text record to log file.
C
C EXECUTABLE CODE -------------------------------------------------------------
C
      CALL ACCLOG ( TEXT, FAIL, ERRMSG )
        IF ( FAIL ) RETURN
      CALL ACCLOG ( FILNAM, FAIL, ERRMSG )
        IF ( FAIL ) RETURN
      CALL ACCLOG ( ' ', FAIL, ERRMSG )
C
      END
