C SPCCOM.INC -------------------------------------------------------------------
      COMMON / SPCCOM / NSPC, ILSSPC, LABSPC
      COMMON / SPCDBL / WNLSPC, WNUSPC, WNRSPC, WMNSPC, WMXSPC, WMDSPC,
     &                  WXLSPC, WXUSPC
C
C VERSION
C     16SEP15 AD Separate DP variables into SPCDBL
C     12JAN14 AD Add WXLSPC, WXUSPC 
C     18MAR01 AD Remover RMXSPC
C     23APR99 AD Change LABSPC from C*6 to C*8
C     03MAR97 AD Version 3.
C     01OCT96 AD Version 2.
C     18SEP96 AD Add RMXSPC
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     Required RFM spectral range & resolution.
C     Loaded and checked by INPSPC
C     WXLSPC, WXUSPC modified by ILSCHK
C
      INTEGER          NSPC           ! No.tabulated Spc.ranges
      INTEGER          ILSSPC(MAXSPC) ! Index of reqd ILS Fn. (set by ILSCHK)
      CHARACTER*8      LABSPC(MAXSPC) ! Codes for tabulated ranges
c
      DOUBLE PRECISION WNLSPC(MAXSPC) ! Specified Lower wavenumber limit [/cm]
      DOUBLE PRECISION WNUSPC(MAXSPC) ! Specified Upper wavenumber limit [/cm]
      DOUBLE PRECISION WNRSPC(MAXSPC) ! Calcuated Wavenumber resolution [/cm]
      DOUBLE PRECISION WMNSPC         ! Lower Wavenumber reqd for any range
      DOUBLE PRECISION WMXSPC         ! Upper Wavenumber reqd for any range
      DOUBLE PRECISION WMDSPC         ! Mid-Wavenumber 0.5*(WMNSPC+WMXSPC)
      DOUBLE PRECISION WXLSPC(MAXSPC) ! Extended lower wno including convol. 
      DOUBLE PRECISION WXUSPC(MAXSPC) ! Extended upper wno including convol. 
C
C ------------------------------------------------------------------------------
