      SUBROUTINE UPCASE ( INPSTR, OUTSTR )
C
C VERSION
C     12DEC13 AD Original. Based on LOCASE
C
C DESCRIPTION
C     Convert text string to upper case.
C     General purpose RFM module
C
      IMPLICIT NONE
C
C ARGUMENT
      CHARACTER*(*) INPSTR  !  I  Input string (mixed case)
      CHARACTER*(*) OUTSTR  !  O  Output string (upper case)
C
C LOCAL VARIABLES
      INTEGER      I, J
      CHARACTER*26 UPPER
              SAVE UPPER
              DATA UPPER / 'ABCDEFGHIJKLMNOPQRSTUVWXYZ' /
C
C EXECUTABLE CODE --------------------------------------------------------------
C
      DO I = 1, MIN ( LEN(INPSTR), LEN(OUTSTR) )
        J = INDEX ( 'abcdefghijklmnopqrstuvwxyz', INPSTR(I:I) )
        IF ( J .NE. 0 ) THEN
          OUTSTR(I:I) = UPPER(J:J)
        ELSE
          OUTSTR(I:I) = INPSTR(I:I)
        END IF
      END DO
C
      END 
