      CHARACTER*9 FUNCTION C9FLT ( RNUM ) 
C
C VERSION
C     17SEP15 AD Corrected for -ve numbers and remove leading blanks.
C     08JAN15 AD Original.
C
C DESCRIPTION
C     Write real number as C*9 string up to 3 s.f.
C     Output is left-justified
C     RFM general purpose routine
C
      IMPLICIT NONE
C
C ARGUMENTS
      REAL RNUM    !  I  Number to be written
C
C LOCAL VARIABLES
      INTEGER I       ! Position of leading blank
      REAL ANUM       ! Absolute value of RNUM  
      CHARACTER*9 C9  ! Local array
C
C EXECUTABLE CODE -------------------------------------------------------------
C
      ANUM = ABS ( RNUM ) 
C
      IF ( ANUM .GT. 999.5 ) THEN
        WRITE ( C9, '(1PE9.2)' ) RNUM
      ELSE IF ( ANUM .GT. 99.95 ) THEN
        WRITE ( C9, '(F9.0)' ) RNUM
      ELSE IF ( ANUM .GT. 9.995 ) THEN
        WRITE ( C9, '(F9.1)' ) RNUM
      ELSE IF ( ANUM .GT. 0.9995 ) THEN
        WRITE ( C9, '(F9.2)' ) RNUM
      ELSE IF ( ANUM .GT. 0.09995 ) THEN
        WRITE ( C9, '(F9.3)' ) RNUM
      ELSE IF ( ANUM .GT. 0.009995 ) THEN
        WRITE ( C9, '(F9.4)' ) RNUM
      ELSE
        WRITE ( C9, '(1PE9.2)' ) RNUM
      END IF 
C
      I = 1
      DO WHILE ( C9(I:I) .EQ. ' ' )  
        I = I + 1
      END DO
      C9FLT = C9(I:)
C
      END

