      SUBROUTINE CHKHOM ( TANTST, FAIL, ERRMSG )
C
C VERSION
C     22JUL15 AD Use C9FLT
C     09DEC14 AD Slight rewrite. Remove redundant flgcom.inc
C     18MAR01 AD Remove CHKWID.
C     17JUL98 AD Original.
C
C DESCRIPTION
C     Check path length for HOMogeneous path calculation
C     Called by TANCHK for each path with HOM flag enabled.
C
      IMPLICIT NONE 
C
      EXTERNAL
     &  C9FLT  ! Write real number as C*9 string up to 3 s.f.
      CHARACTER*9 C9FLT
C
C ARGUMENTS
      REAL         TANTST  !  I  Value of homogeneous path length to be checked
      LOGICAL      FAIL    !  O  Set TRUE if a fatal error is detected
      CHARACTER*80 ERRMSG  !  O  Error message returned if FAIL is TRUE
C
C EXECUTABLE CODE --------------------------------------------------------------
C
      IF ( TANTST .LE. 0.0 ) THEN
        FAIL = .TRUE.
        ERRMSG = 'F-CHKHOM: Specified Homog.'//
     &    'Path Length .LE. 0, value ='//C9FLT(TANTST)
      ELSE
        FAIL = .FALSE.
      END IF
C
      END 
