C CIACOM.INC -------------------------------------------------------------------
      COMMON / CIACOM / NCIA, ID1CIA, ID2CIA, IOFCIA, NPTCIA,
     &                  ABSCIA, TEMCIA
      COMMON / CIADBL / WN1CIA, WN2CIA, WNOCIA
C
C VERSION
C     10JUL15 AD Original.
C
C DESCRIPTION
C     Common variables associated with RFM CIA datasets
C     Loaded by CIAFIL, CIACHK
C     Accessed by VALCIA, INTCIA
C
      INTEGER      NCIA            ! No. of CIA tables stored
      INTEGER      ID1CIA(MAXCIA)  ! RFM/HITRAN index of molec#1
      INTEGER      ID2CIA(MAXCIA)  ! RFM/HITRAN index of molec#2
      INTEGER      IOFCIA(MAXCIA)  ! Offset index
      INTEGER      NPTCIA(MAXCIA)  ! No.Abs.Coeff values within each CIA dataset
      REAL         ABSCIA(MAXCAP)  ! Absorption data [cm^5/kmole^2]
      REAL         TEMCIA(MAXCIA)  ! Temperature [K] of each dataset
      DOUBLE PRECISION WN1CIA(MAXCIA)  ! Lower Wno [cm-1] of each CIA table
      DOUBLE PRECISION WN2CIA(MAXCIA)  ! Upper Wno [cm-1] of each CIA table
      DOUBLE PRECISION WNOCIA(MAXCAP)  ! Wavenumber [cm-1] values for data
C
C ------------------------------------------------------------------------------
