      SUBROUTINE GASAIR 
C
C VERSION
C     01JAN15 AD Original.
C
C DESCRIPTION
C     Add 'air' to list of absorbing species.
C     Called by INPGAS if REX flag is set.
C
      IMPLICIT NONE
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
      INCLUDE 'idxcon.inc' ! HITRAN molecular indices
      INCLUDE 'shpcon.inc' ! Line-shape codes
C
C COMMON VARIABLES
      INCLUDE 'gascom.inc' ! Molecular and isotope data
C
C EXECUTABLE CODE -------------------------------------------------------------
C
C Called before other molecules so NGAS should be zero initially
      NGAS = NGAS + 1
      IDIGAS(NGAS) = 0            
      IDXGAS(NGAS) = IDXAIR
      IGSMOL(IDXAIR) = NGAS
      ISOGAS(0,NGAS) = NGAS
      NISGAS(NGAS) = 0            
      ISOMOL(IDXAIR) = .FALSE.
      NTEGAS(NGAS) = .FALSE.  
      CODGAS(NGAS) = 'air'
      SHPGAS(NGAS) = SHPAIR
C
      END
