C GFLCOM.INC -------------------------------------------------------------------
      COMMON / GFLCOM / NGFL, IDXGFL, LUNGFL, NAMGFL
      COMMON / GFLDBL / RESGFL, WMNGFL, WMXGFL
C
C VERSION
C     28SEP15 AD Separate DP variables into GFLDBL
C     17NOV14 AD Rewritten
C     20MAR01 AD Add RESGFL 
C     09DEC97 AD Original.
C
C DESCRIPTION
C     Common variables associated with RFM irregular grid (.GRD) files.
C     Updated by GRDCHK. NGFL initialised in INPGRD.
C
      INTEGER          NGFL           ! No. of GRD files to be used
      INTEGER          IDXGFL(MAXSPC) ! Index of GRD file for each Spc range
      INTEGER          LUNGFL         ! LUN used to read GRD files
      CHARACTER*200    NAMGFL(MAXGFL) ! Names of GRD files
      DOUBLE PRECISION RESGFL         ! Resolution of GRD files (if convolving)
      DOUBLE PRECISION WMNGFL(MAXGFL) ! Lowest Wavenumber [cm-1] in file
      DOUBLE PRECISION WMXGFL(MAXGFL) ! Highest Wavenumber [cm-1] in file
C
C ------------------------------------------------------------------------------
