C HFLCOM.INC ------------------------------------------------------------------
      COMMON / HFLCOM / IR1HFL, IR2HFL, IRCHFL, IFPHFL, LUNHFL
      COMMON / HFLDBL / WN1HFL, WN2HFL, WNOHFL
C
C VERSION
C     27AUG15 AD Separate DP variables into HFLDBL
C     11JUN02 AD Reduce to single file rather than array of files   
C     03MAR97 AD Version 3.
C     01OCT96 AD Version 2.
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     Common variables associated with RFM HITRAN input file
C
      DOUBLE PRECISION WN1HFL  ! Lowest WNO in each file
      DOUBLE PRECISION WN2HFL  ! Highest WNO in each file
      DOUBLE PRECISION WNOHFL  ! WNO of last line loaded into cyc.buffer
      INTEGER          IR1HFL  ! First data record of File
      INTEGER          IR2HFL  ! Last data record of File
      INTEGER          IRCHFL  ! Current record no 
      INTEGER          IFPHFL(MAXGAS)  ! Forward pointer 
      INTEGER          LUNHFL  ! LUN
C
C -----------------------------------------------------------------------------
