C IDXCON.INC ------------------------------------------------------------------
C
C VERSION
C     02JUL15 AD Add IDXCH4
C     01JAN15 AD Add IDXAIR
C     23AUG13 AD Change IDXAER from 50 to 100
C     09JAN08 AD Remove IDXHDO
C     16FEB02 AD Add IDXHDO=39
C     03MAR97 AD Version 3.
C     01OCT96 AD Version 2.
C     28SEP96 AD Add IDXAER=50
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     RFM/HITRAN indices for specific molecules, required for certain tests.
C
      INTEGER       IDXH2O
        PARAMETER ( IDXH2O = 1 )
      INTEGER       IDXCO2
        PARAMETER ( IDXCO2 = 2 )
      INTEGER       IDXCH4
        PARAMETER ( IDXCH4 = 6 )
      INTEGER       IDXO2
        PARAMETER ( IDXO2 = 7 )
      INTEGER       IDXN2
        PARAMETER ( IDXN2 = 22 )
      INTEGER       IDXAIR
        PARAMETER ( IDXAIR = 99 )     ! RFM-specific assignment, not HITRAN
      INTEGER       IDXAER           
        PARAMETER ( IDXAER = 100 )    ! RFM-specific assignment, not HITRAN
C
C -----------------------------------------------------------------------------
