C ILSCOM.INC -------------------------------------------------------------------
      COMMON / ILSCOM / NILS, NPTILS 
      COMMON / ILSDBL / WNLILS, WNUILS, FNCILS, PT1ILS, PTDILS, PT2ILS
C
C VERSION
C     26AUG15 AD Separate DP variables into ILSDBL
C     27APR00 AD Convert FNCILS,PT1ILS,PTDILS to DP. Add PT2ILS
C     03MAR97 AD Version 3.
C     01OCT96 AD Version 2.
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     Instrument Lineshape functions.
C     Loaded and checked by FILILS.
C 
      INTEGER          NILS           ! No. ILS functions stored
      INTEGER          NPTILS(MAXILS) ! No. tabulation pts for each ILS Fn.
      DOUBLE PRECISION WNLILS(MAXILS) ! Lower wavenumber for ILS applicability
      DOUBLE PRECISION WNUILS(MAXILS) ! Upper wavenumber for ILS applicability
      DOUBLE PRECISION FNCILS(MAXILP,MAXILS)  ! Tabulated ILS functions
      DOUBLE PRECISION PT1ILS(MAXILS) ! Initial Pts for each ILS function
      DOUBLE PRECISION PT2ILS(MAXILS) ! Upper Pts for each ILS function
      DOUBLE PRECISION PTDILS(MAXILS) ! Pt.spacing for each ILS function
C
C ------------------------------------------------------------------------------
