      SUBROUTINE LOCASE ( INPSTR, OUTSTR )
C
C VERSION
C     09JAN15 AD Tidied up
C     03MAR97 AD Version 3.
C     01OCT96 AD Version 2.
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     Convert text string to lower case.
C     General purpose
C
      IMPLICIT NONE
C
C ARGUMENTS
      CHARACTER*(*) INPSTR  !  I  Input string (mixed case)
      CHARACTER*(*) OUTSTR  !  O  Output string (lower case)
C
C LOCAL VARIABLES
      INTEGER      I, J
      CHARACTER*26 LOWER
C
C DATA STATEMENTS
      DATA LOWER / 'abcdefghijklmnopqrstuvwxyz' /
      SAVE LOWER
C
C EXECUTABLE CODE --------------------------------------------------------------
C
      DO I = 1, MIN ( LEN(INPSTR), LEN(OUTSTR) )
        J = INDEX ( 'ABCDEFGHIJKLMNOPQRSTUVWXYZ', INPSTR(I:I) )
        IF ( J .NE. 0 ) THEN
          OUTSTR(I:I) = LOWER(J:J)
        ELSE
          OUTSTR(I:I) = INPSTR(I:I)
        END IF
      END DO
C
      END 
