C MIXDAT.INC -------------------------------------------------------------------
C
C VERSION
C      03MAR97 AD Version 3.
C      01OCT96 AD Version 2.
C      01OCT96 AD Update with GENLN2 v4 coefficients.
C      01SEP96 AD Version 1.
C 
C DESCRIPTION    
C     CO2 Q-Branch mixing coefficient data for YMIX arrays MLQL, COMIXS, COMIXF
C     Used within module YMIX.FOR.
C     MLQL is the AFGL local quanta ID of the lower state for each set
C
C      618 cm-1
       DATA (MLQL(IMLN,1),IMLN=1,25)/
     & '    Q 50 ','    Q 48 ','    Q 46 ','    Q 44 ','    Q 42 ',
     & '    Q 40 ','    Q 38 ','    Q 36 ','    Q 34 ','    Q 32 ',
     & '    Q 30 ','    Q 28 ','    Q 26 ','    Q 24 ','    Q 22 ',
     & '    Q 20 ','    Q 18 ','    Q 16 ','    Q 14 ','    Q 12 ',
     & '    Q 10 ','    Q  8 ','    Q  6 ','    Q  4 ','    Q  2 '/
C
C      648 cm-1
       DATA (MLQL(IMLN,2),IMLN=1,25)/
     & '    Q  2 ','    Q  4 ','    Q  6 ','    Q  8 ','    Q 10 ',
     & '    Q 12 ','    Q 14 ','    Q 16 ','    Q 18 ','    Q 20 ',
     & '    Q 22 ','    Q 24 ','    Q 26 ','    Q 28 ','    Q 30 ',
     & '    Q 32 ','    Q 34 ','    Q 36 ','    Q 38 ','    Q 40 ',
     & '    Q 42 ','    Q 44 ','    Q 46 ','    Q 48 ','    Q 50 '/
C
C      662 cm-1
       DATA (MLQL(IMLN,3),IMLN=1,25)/
     & '    Q  1 ','    Q  2 ','    Q  3 ','    Q  4 ','    Q  5 ',
     & '    Q  6 ','    Q  7 ','    Q  8 ','    Q  9 ','    Q 10 ',
     & '    Q 11 ','    Q 12 ','    Q 13 ','    Q 14 ','    Q 15 ',
     & '    Q 16 ','    Q 17 ','    Q 18 ','    Q 19 ','    Q 20 ',
     & '    Q 21 ','    Q 22 ','    Q 23 ','    Q 24 ','    Q 25 '/
       DATA (MLQL(IMLN,3),IMLN=26,50)/
     & '    Q 26 ','    Q 27 ','    Q 28 ','    Q 29 ','    Q 30 ',
     & '    Q 31 ','    Q 32 ','    Q 33 ','    Q 34 ','    Q 35 ',
     & '    Q 36 ','    Q 37 ','    Q 38 ','    Q 39 ','    Q 40 ',
     & '    Q 41 ','    Q 42 ','    Q 43 ','    Q 44 ','    Q 45 ',
     & '    Q 46 ','    Q 47 ','    Q 48 ','    Q 49 ','    Q 50 '/
C
C      667 cm-1
       DATA (MLQL(IMLN,4),IMLN=1,25)/
     & '    Q  2 ','    Q  4 ','    Q  6 ','    Q  8 ','    Q 10 ',
     & '    Q 12 ','    Q 14 ','    Q 16 ','    Q 18 ','    Q 20 ',
     & '    Q 22 ','    Q 24 ','    Q 26 ','    Q 28 ','    Q 30 ',
     & '    Q 32 ','    Q 34 ','    Q 36 ','    Q 38 ','    Q 40 ',
     & '    Q 42 ','    Q 44 ','    Q 46 ','    Q 48 ','    Q 50 '/
C
C      668 cm-1
       DATA (MLQL(IMLN,5),IMLN=1,25)/
     & '    Q  2 ','    Q  4 ','    Q  3 ','    Q  6 ','    Q  8 ',
     & '    Q  5 ','    Q 10 ','    Q  7 ','    Q 12 ','    Q 14 ',
     & '    Q  9 ','    Q 16 ','    Q 11 ','    Q 18 ','    Q 20 ',
     & '    Q 13 ','    Q 22 ','    Q 15 ','    Q 24 ','    Q 26 ',
     & '    Q 17 ','    Q 28 ','    Q 30 ','    Q 19 ','    Q 32 '/
       DATA (MLQL(IMLN,5),IMLN=26,50)/
     & '    Q 21 ','    Q 34 ','    Q 36 ','    Q 23 ','    Q 38 ',
     & '    Q 25 ','    Q 40 ','    Q 42 ','    Q 27 ','    Q 44 ',
     & '    Q 46 ','    Q 29 ','    Q 48 ','    Q 31 ','    Q 50 ',
     & '    Q 52 ','    Q 33 ','    Q 54 ','    Q 56 ','    Q 35 ',
     & '    Q 58 ','    Q 37 ','    Q 60 ','    Q 62 ','    Q 39 '/
       DATA (MLQL(IMLN,5),IMLN=51,75)/
     & '    Q 64 ','    Q 41 ','    Q 66 ','    Q 68 ','    Q 43 ',
     & '    Q 70 ','    Q 72 ','    Q 45 ','    Q 74 ','    Q 76 ',
     & '    Q 47 ','    Q 78 ','    Q 49 ','    Q 80 ','    Q 51 ',
     & '    Q 53 ','    Q 55 ','    Q 57 ','    Q 59 ','    Q 61 ',
     & '    Q 63 ','    Q 65 ','    Q 67 ','    Q 69 ','    Q 71 '/
       DATA (MLQL(IMLN,5),IMLN=76,80)/
     & '    Q 73 ','    Q 75 ','    Q 77 ','    Q 79 ','    Q 81 '/
C
C      720 cm-1
       DATA (MLQL(IMLN,6),IMLN=1,25)/
     & '    Q 50 ','    Q 48 ','    Q 46 ','    Q 44 ','    Q 42 ',
     & '    Q 40 ','    Q 38 ','    Q 36 ','    Q 34 ','    Q 32 ',
     & '    Q 30 ','    Q 28 ','    Q 26 ','    Q 24 ','    Q 22 ',
     & '    Q 20 ','    Q 18 ','    Q 16 ','    Q 14 ','    Q 12 ',
     & '    Q 10 ','    Q  8 ','    Q  6 ','    Q  4 ','    Q  2 '/
C
C      741 cm-1
       DATA (MLQL(IMLN,7),IMLN=1,25)/
     & '    Q 81 ','    Q 79 ','    Q 77 ','    Q 75 ','    Q 73 ',
     & '    Q 71 ','    Q 69 ','    Q 67 ','    Q 65 ','    Q 63 ',
     & '    Q 61 ','    Q 59 ','    Q 57 ','    Q 55 ','    Q 53 ',
     & '    Q 51 ','    Q 49 ','    Q 47 ','    Q 45 ','    Q 43 ',
     & '    Q 41 ','    Q 39 ','    Q 37 ','    Q 35 ','    Q 33 '/
       DATA (MLQL(IMLN,7),IMLN=26,50)/
     & '    Q 80 ','    Q 78 ','    Q 76 ','    Q 74 ','    Q 72 ',
     & '    Q 31 ','    Q 70 ','    Q 68 ','    Q 66 ','    Q 29 ',
     & '    Q 64 ','    Q 62 ','    Q 60 ','    Q 27 ','    Q 58 ',
     & '    Q 56 ','    Q 54 ','    Q 25 ','    Q 52 ','    Q 50 ',
     & '    Q 23 ','    Q 48 ','    Q 46 ','    Q 44 ','    Q 21 '/
       DATA (MLQL(IMLN,7),IMLN=51,75)/
     & '    Q 42 ','    Q 40 ','    Q 19 ','    Q 38 ','    Q 36 ',
     & '    Q 17 ','    Q 34 ','    Q 32 ','    Q 15 ','    Q 30 ',
     & '    Q 28 ','    Q 13 ','    Q 26 ','    Q 24 ','    Q 11 ',
     & '    Q 22 ','    Q 20 ','    Q  9 ','    Q 18 ','    Q 16 ',
     & '    Q  7 ','    Q 14 ','    Q 12 ','    Q  5 ','    Q 10 '/
       DATA (MLQL(IMLN,7),IMLN=76,80)/
     & '    Q  8 ','    Q  3 ','    Q  6 ','    Q  4 ','    Q  2 '/
C
C      791 cm-1
       DATA (MLQL(IMLN,8),IMLN=1,25)/
     & '    Q  2 ','    Q  4 ','    Q  6 ','    Q  8 ','    Q 10 ',
     & '    Q 12 ','    Q 14 ','    Q 16 ','    Q 18 ','    Q 20 ',
     & '    Q 22 ','    Q 24 ','    Q 26 ','    Q 28 ','    Q 30 ',
     & '    Q 32 ','    Q 34 ','    Q 36 ','    Q 38 ','    Q 40 ',
     & '    Q 42 ','    Q 44 ','    Q 46 ','    Q 48 ','    Q 50 '/
C
C      1932 cm-1
       DATA (MLQL(IMLN,9),IMLN=1,25)/
     & '    Q  2 ','    Q  4 ','    Q  6 ','    Q  8 ','    Q 10 ',
     & '    Q 12 ','    Q 14 ','    Q 16 ','    Q 18 ','    Q 20 ',
     & '    Q 22 ','    Q 24 ','    Q 26 ','    Q 28 ','    Q 30 ',
     & '    Q 32 ','    Q 34 ','    Q 36 ','    Q 38 ','    Q 40 ',
     & '    Q 42 ','    Q 44 ','    Q 46 ','    Q 48 ','    Q 50 '/
C
C      2076 cm-1
       DATA (MLQL(IMLN,10),IMLN=1,25)/
     & '    Q  2 ','    Q  4 ','    Q  6 ','    Q  8 ','    Q 10 ',
     & '    Q 12 ','    Q 14 ','    Q 16 ','    Q 18 ','    Q 20 ',
     & '    Q 22 ','    Q 24 ','    Q 26 ','    Q 28 ','    Q 30 ',
     & '    Q 32 ','    Q 34 ','    Q 36 ','    Q 38 ','    Q 40 ',
     & '    Q 42 ','    Q 44 ','    Q 46 ','    Q 48 ','    Q 50 '/
C
C      2093 cm-1
       DATA (MLQL(IMLN,11),IMLN=1,25)/
     & '    Q  2 ','    Q  4 ','    Q  3 ','    Q  6 ','    Q  8 ',
     & '    Q  5 ','    Q 10 ','    Q 12 ','    Q  7 ','    Q 14 ',
     & '    Q 16 ','    Q  9 ','    Q 18 ','    Q 11 ','    Q 20 ',
     & '    Q 22 ','    Q 13 ','    Q 24 ','    Q 26 ','    Q 15 ',
     & '    Q 28 ','    Q 30 ','    Q 17 ','    Q 32 ','    Q 34 '/
       DATA (MLQL(IMLN,11),IMLN=26,50)/
     & '    Q 19 ','    Q 36 ','    Q 38 ','    Q 21 ','    Q 40 ',
     & '    Q 23 ','    Q 42 ','    Q 44 ','    Q 25 ','    Q 46 ',
     & '    Q 48 ','    Q 27 ','    Q 50 ','    Q 52 ','    Q 29 ',
     & '    Q 54 ','    Q 56 ','    Q 31 ','    Q 58 ','    Q 60 ',
     & '    Q 62 ','    Q 33 ','    Q 64 ','    Q 66 ','    Q 35 '/
       DATA (MLQL(IMLN,11),IMLN=51,69)/
     & '    Q 68 ','    Q 70 ','    Q 37 ','    Q 39 ','    Q 41 ',
     & '    Q 43 ','    Q 45 ','    Q 47 ','    Q 49 ','    Q 51 ',
     & '    Q 53 ','    Q 55 ','    Q 57 ','    Q 59 ','    Q 61 ',
     & '    Q 63 ','    Q 65 ','    Q 67 ','    Q 69 '/
C
C      2129 cm-1
       DATA (MLQL(IMLN,12),IMLN=1,25)/
     & '    Q 50 ','    Q 48 ','    Q 46 ','    Q 44 ','    Q 42 ',
     & '    Q 40 ','    Q 38 ','    Q 36 ','    Q 34 ','    Q 32 ',
     & '    Q 30 ','    Q 28 ','    Q 26 ','    Q 24 ','    Q 22 ',
     & '    Q 20 ','    Q 18 ','    Q 16 ','    Q 14 ','    Q 12 ',
     & '    Q 10 ','    Q  8 ','    Q  6 ','    Q  4 ','    Q  2 '/
C
C  COMIXS - are the self-broadened mixing coefficients
C
C  CO2 Q-branch self mixing coefficient data for:
C  1  618 cm-1  3  2, 626 (Q50 - Q 2, 615-619 cm-1)
       DATA ((COMIXS(IMCO,IMLN,1),IMCO=1,4),IMLN=1,5)/
     &  1.96777386E-01,-8.59782959E-05, 2.11264805E-07,-3.02353372E-10,
     &  1.53854668E-01,-2.01256889E-04, 7.77264268E-07,-1.65466737E-09,
     &  1.51040443E-01,-2.79127954E-04, 1.01396293E-06,-2.09197037E-09,
     &  1.55847039E-01,-3.34764899E-04, 1.14339952E-06,-2.29832227E-09,
     &  1.63148439E-01,-3.81127400E-04, 1.24573399E-06,-2.47661502E-09/
       DATA ((COMIXS(IMCO,IMLN,1),IMCO=1,4),IMLN=6,10)/
     &  1.71694347E-01,-4.24951455E-04, 1.35050254E-06,-2.68528537E-09,
     &  1.80982638E-01,-4.69431440E-04, 1.46801018E-06,-2.93828234E-09,
     &  1.91034622E-01,-5.16933452E-04, 1.60445276E-06,-3.24291340E-09,
     &  2.01750556E-01,-5.68398186E-04, 1.76144876E-06,-3.59895740E-09,
     &  2.12992374E-01,-6.24753540E-04, 1.94181933E-06,-4.01164005E-09/
       DATA ((COMIXS(IMCO,IMLN,1),IMCO=1,4),IMLN=11,15)/
     &  2.24879278E-01,-6.87265234E-04, 2.14987588E-06,-4.49170333E-09,
     &  2.37293378E-01,-7.56587892E-04, 2.38881412E-06,-5.04371800E-09,
     &  2.50043975E-01,-8.33641794E-04, 2.66357603E-06,-5.68492591E-09,
     &  2.63086216E-01,-9.19861745E-04, 2.98159195E-06,-6.43379676E-09,
     &  2.75994539E-01,-1.01612700E-03, 3.34969253E-06,-7.31027848E-09/
       DATA ((COMIXS(IMCO,IMLN,1),IMCO=1,4),IMLN=16,20)/
     &  2.88192008E-01,-1.12391538E-03, 3.77854302E-06,-8.34486331E-09,
     &  2.98639441E-01,-1.24447935E-03, 4.28036189E-06,-9.57415756E-09,
     &  3.05489479E-01,-1.37900707E-03, 4.87103817E-06,-1.10472891E-08,
     &  3.05376675E-01,-1.52769484E-03, 5.56899817E-06,-1.28255887E-08,
     &  2.91455434E-01,-1.68797647E-03, 6.39385846E-06,-1.49841487E-08/
       DATA ((COMIXS(IMCO,IMLN,1),IMCO=1,4),IMLN=21,25)/
     &  2.49228699E-01,-1.84991398E-03, 7.35888308E-06,-1.76024611E-08,
     &  1.43692092E-01,-1.98032066E-03, 8.43419403E-06,-2.06953744E-08,
     & -1.27272741E-01,-1.96156252E-03, 9.37443353E-06,-2.38424852E-08,
     & -9.77923451E-01,-1.24979252E-03, 8.57818641E-06,-2.35151173E-08,
     & -5.88301403E+00, 5.17760095E-03,-1.29450191E-05, 2.70482610E-08/
C
C  CO2 Q-branch self mixing coefficient data for:
C  2  648 cm-1  2  1, 636 (Q 2 - Q50,  648 - 652 cm-1)
       DATA ((COMIXS(IMCO,IMLN,2),IMCO=1,4),IMLN=1,5)/
     &  4.51599409E+00,-3.96184884E-03, 9.92359747E-06,-2.09343989E-08,
     &  7.59950079E-01, 9.59651292E-04,-6.60772410E-06, 1.83272815E-08,
     &  1.07676704E-01, 1.50700347E-03,-7.21661029E-06, 1.85057243E-08,
     & -1.01114182E-01, 1.52500258E-03,-6.50235410E-06, 1.60486111E-08,
     & -1.83073091E-01, 1.42792112E-03,-5.68298834E-06, 1.36470473E-08/
       DATA ((COMIXS(IMCO,IMLN,2),IMCO=1,4),IMLN=6,10)/
     & -2.16550586E-01, 1.30684144E-03,-4.95011027E-06, 1.16266616E-08,
     & -2.28279528E-01, 1.18661295E-03,-4.32365182E-06, 9.96396179E-09,
     & -2.29462867E-01, 1.07516502E-03,-3.79439955E-06, 8.59769999E-09,
     & -2.25262520E-01, 9.74477162E-04,-3.34738802E-06, 7.46890728E-09,
     & -2.18266201E-01, 8.84194034E-04,-2.96757489E-06, 6.52731342E-09/
       DATA ((COMIXS(IMCO,IMLN,2),IMCO=1,4),IMLN=11,15)/
     & -2.09926849E-01, 8.03611152E-04,-2.64354756E-06, 5.73655655E-09,
     & -2.01013107E-01, 7.31648035E-04,-2.36537641E-06, 5.06622775E-09,
     & -1.91974100E-01, 6.67367889E-04,-2.12581382E-06, 4.49526192E-09,
     & -1.83032888E-01, 6.09663869E-04,-1.91814734E-06, 4.00486984E-09,
     & -1.74407635E-01, 5.57833374E-04,-1.73783047E-06, 3.58190479E-09/
       DATA ((COMIXS(IMCO,IMLN,2),IMCO=1,4),IMLN=16,20)/
     & -1.66185455E-01, 5.11094307E-04,-1.58096509E-06, 3.21590806E-09,
     & -1.58397951E-01, 4.68954844E-04,-1.44547385E-06, 2.90137482E-09,
     & -1.50935991E-01, 4.30187581E-04,-1.32733258E-06, 2.63028260E-09,
     & -1.44000825E-01, 3.94353459E-04,-1.22517520E-06, 2.39804686E-09,
     & -1.37578255E-01, 3.60315002E-04,-1.13706891E-06, 2.20687685E-09/
       DATA ((COMIXS(IMCO,IMLN,2),IMCO=1,4),IMLN=21,25)/
     & -1.31777541E-01, 3.26320813E-04,-1.05852136E-06, 2.05080387E-09,
     & -1.26982895E-01, 2.89384326E-04,-9.80025571E-07, 1.91710727E-09,
     & -1.24351964E-01, 2.43609807E-04,-8.75580101E-07, 1.75313128E-09,
     & -1.28444707E-01, 1.77432363E-04,-6.75092724E-07, 1.38640277E-09,
     & -1.68349732E-01, 7.70905549E-05,-1.73721452E-07, 1.67924281E-10/
C
C  CO2 Q-branch self mixing coefficient data for:
C  3  662 cm-1  2  1, 628 (Q   cm-1)
c currently this is dummy data
       DATA ((COMIXS(IMCO,IMLN,3),IMCO=1,4),IMLN=1,5)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
       DATA ((COMIXS(IMCO,IMLN,3),IMCO=1,4),IMLN=6,10)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
       DATA ((COMIXS(IMCO,IMLN,3),IMCO=1,4),IMLN=11,15)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
       DATA ((COMIXS(IMCO,IMLN,3),IMCO=1,4),IMLN=16,20)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
       DATA ((COMIXS(IMCO,IMLN,3),IMCO=1,4),IMLN=21,25)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
       DATA ((COMIXS(IMCO,IMLN,3),IMCO=1,4),IMLN=26,30)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
       DATA ((COMIXS(IMCO,IMLN,3),IMCO=1,4),IMLN=31,35)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
       DATA ((COMIXS(IMCO,IMLN,3),IMCO=1,4),IMLN=36,40)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
       DATA ((COMIXS(IMCO,IMLN,3),IMCO=1,4),IMLN=41,45)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
       DATA ((COMIXS(IMCO,IMLN,3),IMCO=1,4),IMLN=46,50)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
C
C  CO2 Q-branch self mixing coefficient data for:
C  4  667 cm-1  2  1, 626 (Q 2 - Q50, 667-671 cm-1)
       DATA ((COMIXS(IMCO,IMLN,4),IMCO=1,4),IMLN=1,5)/
     &  4.39434901E+00,-3.85521809E-03, 9.65581951E-06,-2.03656815E-08,
     &  7.39592075E-01, 9.33419602E-04,-6.42833080E-06, 1.78298239E-08,
     &  1.04661937E-01, 1.46629381E-03,-7.02160329E-06, 1.80053727E-08,
     & -9.85026367E-02, 1.48385980E-03,-6.32686321E-06, 1.56153627E-08,
     & -1.78144674E-01, 1.38925793E-03,-5.52921088E-06, 1.32778798E-08/
       DATA ((COMIXS(IMCO,IMLN,4),IMCO=1,4),IMLN=6,10)/
     & -2.10762828E-01, 1.27134533E-03,-4.81555540E-06, 1.13105146E-08,
     & -2.22236151E-01, 1.15457777E-03,-4.20678237E-06, 9.69452540E-09,
     & -2.23315693E-01, 1.04605972E-03,-3.69168468E-06, 8.36490900E-09,
     & -2.19183407E-01, 9.48010466E-04,-3.25646623E-06, 7.26604459E-09,
     & -2.12360259E-01, 8.60132935E-04,-2.88682598E-06, 6.34974101E-09/
       DATA ((COMIXS(IMCO,IMLN,4),IMCO=1,4),IMLN=11,15)/
     & -2.04226564E-01, 7.81743315E-04,-2.57184766E-06, 5.58145092E-09,
     & -1.95506313E-01, 7.11585095E-04,-2.30070895E-06, 4.92833967E-09,
     & -1.86731189E-01, 6.49011459E-04,-2.06734544E-06, 4.37166454E-09,
     & -1.78059092E-01, 5.92928594E-04,-1.86545378E-06, 3.89482357E-09,
     & -1.69644035E-01, 5.42527667E-04,-1.69020361E-06, 3.48382535E-09/
       DATA ((COMIXS(IMCO,IMLN,4),IMCO=1,4),IMLN=16,20)/
     & -1.61583251E-01, 4.96948675E-04,-1.53733614E-06, 3.12733011E-09,
     & -1.53999572E-01, 4.55847198E-04,-1.40512037E-06, 2.82046557E-09,
     & -1.46787563E-01, 4.18220429E-04,-1.29030532E-06, 2.55617334E-09,
     & -1.40018972E-01, 3.83340064E-04,-1.19102603E-06, 2.33154027E-09,
     & -1.33755753E-01, 3.50194109E-04,-1.10514825E-06, 2.14493562E-09/
       DATA ((COMIXS(IMCO,IMLN,4),IMCO=1,4),IMLN=21,25)/
     & -1.28113796E-01, 3.17128848E-04,-1.02871012E-06, 1.99307544E-09,
     & -1.23439664E-01, 2.81214353E-04,-9.52375752E-07, 1.86302534E-09,
     & -1.20861120E-01, 2.36698818E-04,-8.50837391E-07, 1.70394887E-09,
     & -1.24819334E-01, 1.72244950E-04,-6.53704953E-07, 1.33645303E-09,
     & -1.63562218E-01, 7.48765623E-05,-1.68711460E-07, 1.62752627E-10/
C
C  CO2 Q-branch self mixing coefficient data for:
C  5  668 cm-1  4  2, 626 (Q 2 - Q81,  667 - 675 cm-1)
       DATA ((COMIXS(IMCO,IMLN,5),IMCO=1,4),IMLN=1,5)/
     &  1.01497934E+01,-1.00561017E-02, 2.85672780E-05,-4.94779541E-08,
     &  8.62793257E+00,-9.38763830E-03, 2.87028849E-05,-5.36292087E-08,
     & -3.69076431E+00, 1.11920005E-02,-4.57153949E-05, 1.01401820E-07,
     &  8.83799639E-01, 7.72827823E-04,-4.28144513E-06, 1.19946676E-08,
     &  1.01868951E+01,-1.00352091E-02, 2.74879149E-05,-5.17131151E-08/
       DATA ((COMIXS(IMCO,IMLN,5),IMCO=1,4),IMLN=6,10)/
     & -1.50281921E+01, 1.29189108E-02,-2.60563652E-05, 2.87437322E-08,
     &  9.80846130E-01, 2.18034168E-04,-1.98829872E-06, 5.93943592E-09,
     & -9.68070201E-01, 4.44511004E-03,-1.68115352E-05, 3.64573768E-08,
     & -5.17339000E-01, 1.55564100E-03,-5.23621334E-06, 1.17718312E-08,
     &  1.34586605E+00,-2.83675058E-04,-5.06095601E-07, 2.34602216E-09/
       DATA ((COMIXS(IMCO,IMLN,5),IMCO=1,4),IMLN=11,15)/
     & -2.38416540E+00, 1.81550022E-03,-1.83258681E-06,-1.79315401E-09,
     &  1.33133480E-01, 6.97950930E-04,-2.67307120E-06, 6.20038434E-09,
     & -1.79995605E-01, 3.59964153E-03,-1.25918609E-05, 2.54890108E-08,
     & -9.39717216E-01, 1.44721112E-03,-4.08267793E-06, 8.58251088E-09,
     &  3.35897210E-01, 4.02437541E-04,-1.78525714E-06, 4.15691835E-09/
       DATA ((COMIXS(IMCO,IMLN,5),IMCO=1,4),IMLN=16,20)/
     & -9.58950990E-01, 8.20067960E-04,-4.98001352E-07,-1.57076830E-09,
     & -8.73340563E-02, 6.41090829E-04,-2.12033917E-06, 4.60622754E-09,
     &  1.25363296E+01, 5.93073852E-02,-1.87141553E-04, 3.22015989E-07,
     & -2.29236087E+01, 1.47706017E-02,-2.57128368E-05, 4.51050817E-08,
     &  6.39624810E-02, 4.47826689E-04,-1.57748820E-06, 3.40499291E-09/
       DATA ((COMIXS(IMCO,IMLN,5),IMCO=1,4),IMLN=21,25)/
     & -5.28217875E-01, 5.65693928E-04,-2.62324189E-07,-1.07744976E-09,
     & -1.72844655E-01, 5.36651840E-04,-1.61178843E-06, 3.34037940E-09,
     &  3.61078778E-01, 2.38022871E-04,-1.14038997E-06, 2.53266617E-09,
     & -5.72878591E-01,-6.63411220E-04, 1.77324724E-06,-1.58101826E-09,
     & -3.38599098E-02, 3.97067555E-04,-1.26043483E-06, 2.59629694E-09/
       DATA ((COMIXS(IMCO,IMLN,5),IMCO=1,4),IMLN=26,30)/
     & -3.37570239E-01, 5.07079743E-04,-7.84364167E-08,-1.22885557E-09,
     & -2.47499539E-01, 4.53109424E-04,-1.23375397E-06, 2.42519243E-09,
     &  6.27862137E-02, 3.11981272E-04,-1.04499578E-06, 2.14702063E-09,
     & -3.27685238E-01,-4.05158925E-05, 4.13155905E-09, 9.34624224E-10,
     & -7.56087925E-02, 3.36260940E-04,-9.94314809E-07, 1.96204407E-09/
       DATA ((COMIXS(IMCO,IMLN,5),IMCO=1,4),IMLN=31,35)/
     & -2.02861055E-01, 9.72936714E-04, 1.05583772E-06,-5.58200003E-09,
     & -7.11481227E-01, 4.77217392E-04,-9.46937589E-07, 1.52841563E-09,
     & -1.77641629E-02, 2.83466760E-04,-8.53607426E-07, 1.67303997E-09,
     & -2.30476963E-01, 8.75964815E-05,-2.71954936E-07, 1.11600179E-09,
     & -9.95937272E-02, 2.81804626E-04,-7.86480184E-07, 1.47741519E-09/
       DATA ((COMIXS(IMCO,IMLN,5),IMCO=1,4),IMLN=36,40)/
     &  1.15578176E-01, 2.39366939E-04,-7.73722467E-07, 1.57460198E-09,
     & -2.07568684E-01,-3.24219180E-05,-8.70268074E-07, 2.60203842E-09,
     & -4.89916460E-02, 2.44928999E-04,-6.91015275E-07, 1.29270030E-09,
     & -1.75738909E-01, 1.23848585E-04,-2.49153525E-07, 9.52586977E-10,
     & -1.35238912E-01, 2.34306099E-04,-6.16856708E-07, 1.06931543E-09/
       DATA ((COMIXS(IMCO,IMLN,5),IMCO=1,4),IMLN=41,45)/
     & -1.19661816E-02, 2.21921612E-04,-6.21986653E-07, 1.17065411E-09,
     & -1.58086725E-01, 8.77429795E-05,-5.14134867E-07, 1.29760751E-09,
     & -6.44997103E-02, 2.09147775E-04,-5.61919117E-07, 9.94767260E-10,
     &  9.88986944E-01, 3.31384561E-04,-1.07271716E-06, 3.05740554E-09,
     & -1.48742711E-01,-9.44183531E-05,-2.32095439E-06, 1.92395564E-09/
       DATA ((COMIXS(IMCO,IMLN,5),IMCO=1,4),IMLN=46,50)/
     & -4.12347048E-02, 1.92795320E-04,-5.07866439E-07, 8.95397298E-10,
     & -1.27925259E-01, 1.01475954E-04,-3.89572424E-07, 9.44748358E-10,
     & -8.03633301E-02, 1.75890861E-04,-4.55855728E-07, 7.39904716E-10,
     & -1.68160680E-02, 1.84337267E-04,-4.69110167E-07, 8.39785057E-10,
     & -1.16504995E-01, 9.70119703E-05,-4.02016610E-07, 7.61120385E-10/
       DATA ((COMIXS(IMCO,IMLN,5),IMCO=1,4),IMLN=51,55)/
     & -5.34241047E-02, 1.66472189E-04,-4.21008690E-07, 6.88963238E-10,
     & -1.06055469E-01, 1.15195941E-04,-3.88089244E-08, 1.81431378E-09,
     & -6.73649156E-01,-8.33251284E-05, 3.76725775E-08,-1.20567346E-09,
     & -4.17770641E-02, 1.57935108E-04,-3.87534164E-07, 6.26739232E-10,
     & -9.79803242E-02, 9.32893377E-05,-3.12905962E-07, 6.25543789E-10/
       DATA ((COMIXS(IMCO,IMLN,5),IMCO=1,4),IMLN=56,60)/
     & -6.68603246E-02, 1.39553899E-04,-3.53029112E-07, 5.06443990E-10,
     & -3.17198004E-02, 1.51955629E-04,-3.66283407E-07, 5.95788634E-10,
     & -9.05087123E-02, 8.94501682E-05,-2.90057358E-07, 5.22435832E-10,
     & -5.13496997E-02, 1.33310577E-04,-3.43757522E-07, 5.16092449E-10,
     & -6.36667069E-03, 1.52578734E-04,-3.70336101E-07, 7.08273437E-10/
       DATA ((COMIXS(IMCO,IMLN,5),IMCO=1,4),IMLN=61,65)/
     & -8.38473710E-02, 8.54917946E-05,-2.66450357E-07, 4.39305275E-10,
     & -4.83943899E-02, 1.00271589E-04,-3.01327975E-07, 5.41967732E-10,
     & -7.79590591E-02, 8.17857876E-05,-2.43363938E-07, 4.72099215E-10,
     & -1.18523636E-01,-1.27594291E-05,-1.97439745E-08,-1.49847411E-10,
     & -7.26978570E-02, 7.78414269E-05,-2.25233290E-07, 4.00558648E-10/
       DATA ((COMIXS(IMCO,IMLN,5),IMCO=1,4),IMLN=66,70)/
     & -6.79713668E-02, 7.40922433E-05,-2.08903377E-07, 3.69019555E-10,
     & -6.37014123E-02, 7.04887361E-05,-1.94291465E-07, 3.39687012E-10,
     & -5.98369856E-02, 6.70465080E-05,-1.80838920E-07, 3.11155179E-10,
     & -5.63389432E-02, 6.38146163E-05,-1.68725353E-07, 2.85827983E-10,
     & -5.31325352E-02, 6.07457661E-05,-1.57559794E-07, 2.62531487E-10/
       DATA ((COMIXS(IMCO,IMLN,5),IMCO=1,4),IMLN=71,75)/
     & -5.02028867E-02, 5.78800831E-05,-1.47560490E-07, 2.42718495E-10,
     & -4.75054003E-02, 5.51466871E-05,-1.37725209E-07, 2.21389110E-10,
     & -4.50354084E-02, 5.26152382E-05,-1.28853737E-07, 2.02937607E-10,
     & -4.27488736E-02, 5.02535825E-05,-1.20859746E-07, 1.87485400E-10,
     & -4.06373165E-02, 4.80338590E-05,-1.12970707E-07, 1.68772106E-10/
       DATA ((COMIXS(IMCO,IMLN,5),IMCO=1,4),IMLN=76,80)/
     & -3.86803634E-02, 4.59512687E-05,-1.06365936E-07, 1.53614069E-10,
     & -3.68707889E-02, 4.38369127E-05,-1.01436981E-07, 1.42539595E-10,
     & -3.52355648E-02, 4.09948164E-05,-9.84209562E-08, 1.40563125E-10,
     & -3.40916721E-02, 3.45994388E-05,-9.05471760E-08, 1.42836267E-10,
     & -3.68476077E-02, 1.29930150E-05,-2.07470468E-08, 1.79667296E-11/
C
C  CO2 Q-branch self mixing coefficient data for:
C  6  720 cm-1  5  2, 626 (Q50 - Q 2, 718-721 cm-1)
       DATA ((COMIXS(IMCO,IMLN,6),IMCO=1,4),IMLN=1,5)/
     &  1.71628289E-01,-8.14155123E-05, 1.90266510E-07,-2.76153331E-10,
     &  1.28668997E-01,-1.84875830E-04, 7.06629348E-07,-1.51257988E-09,
     &  1.23307166E-01,-2.51919521E-04, 9.10481426E-07,-1.88424087E-09,
     &  1.24991811E-01,-2.96978596E-04, 1.01067075E-06,-2.03423847E-09,
     &  1.28916653E-01,-3.32393441E-04, 1.08293843E-06,-2.15251517E-09/
       DATA ((COMIXS(IMCO,IMLN,6),IMCO=1,4),IMLN=6,10)/
     &  1.33799600E-01,-3.64299083E-04, 1.15411065E-06,-2.29178922E-09,
     &  1.39378181E-01,-3.96141032E-04, 1.23524804E-06,-2.46900947E-09,
     &  1.45448130E-01,-4.29379989E-04, 1.32967425E-06,-2.68728244E-09,
     &  1.51959699E-01,-4.65162902E-04, 1.43799799E-06,-2.93479520E-09,
     &  1.58868071E-01,-5.04310931E-04, 1.56409788E-06,-3.22870991E-09/
       DATA ((COMIXS(IMCO,IMLN,6),IMCO=1,4),IMLN=11,15)/
     &  1.66194713E-01,-5.47622480E-04, 1.70982325E-06,-3.56934037E-09,
     &  1.73855997E-01,-5.95644699E-04, 1.87754684E-06,-3.96317181E-09,
     &  1.81753244E-01,-6.49127183E-04, 2.07093440E-06,-4.41958983E-09,
     &  1.89827888E-01,-7.09042392E-04, 2.29491424E-06,-4.95139869E-09,
     &  1.97770489E-01,-7.76071488E-04, 2.55490070E-06,-5.57594781E-09/
       DATA ((COMIXS(IMCO,IMLN,6),IMCO=1,4),IMLN=16,20)/
     &  2.05164717E-01,-8.51253388E-04, 2.85801641E-06,-6.31202589E-09,
     &  2.11267269E-01,-9.35572823E-04, 3.21348895E-06,-7.18771049E-09,
     &  2.14775184E-01,-1.02987999E-03, 3.63260180E-06,-8.23786795E-09,
     &  2.13183856E-01,-1.13426998E-03, 4.12859062E-06,-9.50673402E-09,
     &  2.01559695E-01,-1.24691395E-03, 4.71557605E-06,-1.10482045E-08/
       DATA ((COMIXS(IMCO,IMLN,6),IMCO=1,4),IMLN=21,25)/
     &  1.69459101E-01,-1.36087808E-03, 5.40423470E-06,-1.29227401E-08,
     &  9.15045424E-02,-1.45187751E-03, 6.17169085E-06,-1.51377300E-08,
     & -1.06420099E-01,-1.43450234E-03, 6.83936209E-06,-1.73863755E-08,
     & -7.24136532E-01,-9.15907972E-04, 6.24858678E-06,-1.71010890E-08,
     & -4.27946385E+00, 3.74469455E-03,-9.35861456E-06, 1.95516019E-08/
C
C  CO2 Q-branch self mixing coefficient data for:
C  7  741 cm-1  8  4, 626 (Q81 - Q 2, 733-742 cm-1)
       DATA ((COMIXS(IMCO,IMLN,7),IMCO=1,4),IMLN=1,5)/
     &  3.06762803E-02,-1.11797322E-05, 1.75371187E-08,-1.75188965E-11,
     &  2.74683275E-02,-3.16352480E-05, 8.49765030E-08,-1.40890953E-10,
     &  2.80660538E-02,-3.79876972E-05, 9.31472674E-08,-1.39068410E-10,
     &  2.91693600E-02,-4.08054456E-05, 9.54081945E-08,-1.38112750E-10,
     &  3.04350779E-02,-4.27611942E-05, 9.88660619E-08,-1.45075184E-10/
       DATA ((COMIXS(IMCO,IMLN,7),IMCO=1,4),IMLN=6,10)/
     &  3.18121627E-02,-4.45765371E-05, 1.03742813E-07,-1.56240690E-10,
     &  3.33108708E-02,-4.64647463E-05, 1.09579461E-07,-1.69258358E-10,
     &  3.49346833E-02,-4.84721869E-05, 1.16078943E-07,-1.83371815E-10,
     &  3.66943753E-02,-5.05726872E-05, 1.22103319E-07,-1.92236848E-10,
     &  3.86172800E-02,-5.29401041E-05, 1.30752879E-07,-2.14523494E-10/
       DATA ((COMIXS(IMCO,IMLN,7),IMCO=1,4),IMLN=11,15)/
     &  4.07168832E-02,-5.54255341E-05, 1.38972812E-07,-2.32088971E-10,
     &  4.29951948E-02,-5.80799040E-05, 1.47836775E-07,-2.50811318E-10,
     &  4.55148437E-02,-6.09643412E-05, 1.57548763E-07,-2.71591534E-10,
     &  4.82826171E-02,-6.40437435E-05, 1.68025375E-07,-2.94019970E-10,
     &  5.13353782E-02,-6.73389640E-05, 1.79106318E-07,-3.16376562E-10/
       DATA ((COMIXS(IMCO,IMLN,7),IMCO=1,4),IMLN=16,20)/
     &  5.47134421E-02,-7.09062686E-05, 1.92073391E-07,-3.46479537E-10,
     &  5.84652958E-02,-7.46982180E-05, 2.05422615E-07,-3.73788006E-10,
     &  6.26591469E-02,-7.88058699E-05, 2.21080919E-07,-4.10311934E-10,
     &  6.73639823E-02,-8.31689700E-05, 2.37858264E-07,-4.47507194E-10,
     &  7.26514332E-02,-8.77892033E-05, 2.56342969E-07,-4.88269471E-10/
       DATA ((COMIXS(IMCO,IMLN,7),IMCO=1,4),IMLN=21,25)/
     &  7.86781721E-02,-9.27123092E-05, 2.77193750E-07,-5.35223172E-10,
     &  8.55646733E-02,-9.78458331E-05, 3.00387886E-07,-5.86971043E-10,
     &  9.34978713E-02,-1.03125206E-04, 3.26533975E-07,-6.44919985E-10,
     &  1.02718843E-01,-1.08397002E-04, 3.56310744E-07,-7.09408304E-10,
     &  1.13563962E-01,-1.13384070E-04, 3.90833362E-07,-7.77254215E-10/
       DATA ((COMIXS(IMCO,IMLN,7),IMCO=1,4),IMLN=26,30)/
     &  3.06744484E-01,-1.55604141E-04, 2.32460539E-07,-3.22138365E-10,
     &  1.91732791E-01,-4.39384508E-04, 1.27994703E-06,-2.34089301E-09,
     &  1.66197272E-01,-4.76567159E-04, 1.25150982E-06,-2.03134401E-09,
     &  1.56319046E-01,-4.57263884E-04, 1.12270594E-06,-1.70926132E-09,
     &  2.16511485E-01,-3.74326655E-04, 9.96523949E-07,-1.37372728E-09/
       DATA ((COMIXS(IMCO,IMLN,7),IMCO=1,4),IMLN=31,35)/
     &  1.26486703E-01,-1.17657490E-04, 4.33702510E-07,-9.25751537E-10,
     &  1.26141673E-01,-4.24410856E-04, 9.78573967E-07,-1.52546725E-09,
     &  1.27929249E-01,-4.02522343E-04, 9.42564215E-07,-1.49355693E-09,
     &  1.33908006E-01,-3.84284500E-04, 9.20621163E-07,-1.47930729E-09,
     &  1.42140698E-01,-1.19387972E-04, 4.94016589E-07,-9.06049300E-10/
       DATA ((COMIXS(IMCO,IMLN,7),IMCO=1,4),IMLN=36,40)/
     &  8.12545405E-02,-4.05075656E-04, 9.44472946E-07,-1.61606702E-09,
     &  1.12752304E-01,-3.80708563E-04, 9.27853990E-07,-1.57301935E-09,
     &  1.26141729E-01,-3.71754098E-04, 9.29047034E-07,-1.58521828E-09,
     &  1.61493377E-01,-1.15961484E-04, 5.88833917E-07,-1.06104709E-09,
     &  5.94823603E-02,-3.96926441E-04, 9.83312225E-07,-1.77059152E-09/
       DATA ((COMIXS(IMCO,IMLN,7),IMCO=1,4),IMLN=41,45)/
     &  1.07554680E-01,-3.81217841E-04, 9.76900907E-07,-1.73545929E-09,
     &  1.41571696E-01,-3.76954268E-04, 9.85056500E-07,-1.74419725E-09,
     &  1.85797661E-01,-1.10035194E-04, 6.10663251E-07,-1.50560475E-09,
     &  8.04410336E-02,-3.96740431E-04, 1.04994679E-06,-1.93534801E-09,
     &  1.16468169E-01,-3.98862366E-04, 1.07037766E-06,-1.96890103E-09/
       DATA ((COMIXS(IMCO,IMLN,7),IMCO=1,4),IMLN=46,50)/
     &  2.22360070E-01, 3.23835848E-05, 1.69824878E-06,-2.79513488E-09,
     & -2.39621482E-01,-4.35468027E-04, 1.26538532E-06,-2.60187850E-09,
     &  9.96856838E-02,-4.22671617E-04, 1.17281833E-06,-2.22314374E-09,
     &  1.93239085E-01,-4.40322727E-04, 1.20212383E-06,-2.24642966E-09,
     &  2.57376566E-01,-1.09549958E-04, 3.01068308E-07,-1.45729644E-09/
       DATA ((COMIXS(IMCO,IMLN,7),IMCO=1,4),IMLN=51,55)/
     &  7.52880472E-02,-4.50623756E-04, 1.30162085E-06,-2.53821374E-09,
     &  1.52635697E-01,-4.79020636E-04, 1.36151117E-06,-2.63981836E-09,
     &  3.19248013E-01,-4.35725785E-06, 3.81285270E-07,-1.92724567E-09,
     &  2.92050712E-02,-4.78715490E-04, 1.45851086E-06,-2.92973766E-09,
     &  1.35983325E-01,-5.25438285E-04, 1.54845477E-06,-3.08337914E-09/
       DATA ((COMIXS(IMCO,IMLN,7),IMCO=1,4),IMLN=56,60)/
     &  4.18739576E-01, 2.39887600E-04, 1.12736980E-07,-2.24471202E-09,
     & -6.96691249E-02,-4.93316616E-04, 1.63424130E-06,-3.40004877E-09,
     &  1.21356327E-01,-5.82296468E-04, 1.78187981E-06,-3.63631563E-09,
     &  6.14703680E-01, 9.08125883E-04,-1.25585405E-06,-1.26329185E-09,
     & -3.02900026E-01,-4.49498963E-04, 1.77300958E-06,-3.88458702E-09/
       DATA ((COMIXS(IMCO,IMLN,7),IMCO=1,4),IMLN=61,65)/
     &  1.02769972E-01,-6.51871299E-04, 2.07754037E-06,-4.34350357E-09,
     &  1.10467990E+00, 2.71708867E-03,-6.61792128E-06, 7.00750213E-09,
     & -8.82683990E-01,-2.05350365E-04, 1.63936709E-06,-4.01994751E-09,
     &  7.45098160E-02,-7.36723236E-04, 2.45631803E-06,-5.26562625E-09,
     &  2.41085791E+00, 6.36743773E-03,-2.16531983E-05, 3.87399925E-08/
       DATA ((COMIXS(IMCO,IMLN,7),IMCO=1,4),IMLN=66,70)/
     & -2.13991401E+00, 5.41851604E-04, 5.65680958E-07,-2.60621984E-09,
     &  2.60323510E-02,-8.37999123E-04, 2.94426506E-06,-6.48765614E-09,
     &  4.73943332E+00, 8.40918395E-03,-3.83928711E-05, 8.62644317E-08,
     & -3.62400504E+00, 1.69526374E-03,-1.73094080E-06, 1.20103217E-09,
     & -6.89766680E-02,-9.47872554E-04, 3.56025532E-06,-8.10975217E-09/
       DATA ((COMIXS(IMCO,IMLN,7),IMCO=1,4),IMLN=71,75)/
     &  7.18471746E+00, 4.28357321E-03,-3.26156421E-05, 8.87865849E-08,
     & -4.46769515E+00, 2.63820879E-03,-4.27193286E-06, 5.83736787E-09,
     & -2.88254517E-01,-1.01342767E-03, 4.22379354E-06,-1.00924254E-08,
     &  1.05128198E+01,-4.29756075E-03,-4.55613208E-06, 3.46487132E-08,
     & -5.73952235E+00, 4.22698897E-03,-9.14658985E-06, 1.51490859E-08/
       DATA ((COMIXS(IMCO,IMLN,7),IMCO=1,4),IMLN=76,80)/
     & -9.66268832E-01,-6.99920046E-04, 4.05670644E-06,-1.09227557E-08,
     &  1.88890876E+01,-2.15732674E-02, 5.96558773E-05,-1.04703038E-07,
     & -1.04974253E+01, 1.04718951E-02,-2.94319411E-05, 5.59652514E-08,
     & -5.42532593E+00, 4.38585054E-03,-1.12810080E-05, 1.85775781E-08,
     & -1.01103667E+01, 9.53780178E-03,-2.64473014E-05, 4.66987503E-08/
C
C  CO2 Q-branch self mixing coefficient data for:
C  8  791 cm-1  8  3, 626 (Q 2 - Q50, 791-794 cm-1)
       DATA ((COMIXS(IMCO,IMLN,8),IMCO=1,4),IMLN=1,5)/
     &  5.32793957E+00,-4.69469640E-03, 1.17682134E-05,-2.48491299E-08,
     &  8.83470505E-01, 1.12702340E-03,-7.78947016E-06, 2.16203705E-08,
     &  1.12824338E-01, 1.77101539E-03,-8.49483647E-06, 2.17929997E-08,
     & -1.32567250E-01, 1.78775985E-03,-7.63250915E-06, 1.88433118E-08,
     & -2.27644795E-01, 1.66855291E-03,-6.64839825E-06, 1.59680509E-08/
       DATA ((COMIXS(IMCO,IMLN,8),IMCO=1,4),IMLN=6,10)/
     & -2.65282149E-01, 1.52047647E-03,-5.76547548E-06, 1.35422482E-08,
     & -2.77348933E-01, 1.37387310E-03,-5.01075208E-06, 1.15459786E-08,
     & -2.77016097E-01, 1.23805521E-03,-4.37296686E-06, 9.90588574E-09,
     & -2.70305328E-01, 1.11505010E-03,-3.83306366E-06, 8.54881068E-09,
     & -2.60371969E-01, 1.00482523E-03,-3.37457463E-06, 7.41810892E-09/
       DATA ((COMIXS(IMCO,IMLN,8),IMCO=1,4),IMLN=11,15)/
     & -2.48823783E-01, 9.06275837E-04,-2.98297268E-06, 6.46816628E-09,
     & -2.36634612E-01, 8.18134011E-04,-2.64646041E-06, 5.66340447E-09,
     & -2.24380312E-01, 7.39422851E-04,-2.35666431E-06, 4.97873692E-09,
     & -2.12307944E-01, 6.68873351E-04,-2.10578538E-06, 4.39257039E-09,
     & -2.00641154E-01, 6.05523756E-04,-1.88782248E-06, 3.88710764E-09/
       DATA ((COMIXS(IMCO,IMLN,8),IMCO=1,4),IMLN=16,20)/
     & -1.89477463E-01, 5.48568985E-04,-1.69869359E-06, 3.45248506E-09,
     & -1.78848293E-01, 4.97020030E-04,-1.53382591E-06, 3.07574348E-09,
     & -1.68831611E-01, 4.50246034E-04,-1.39100167E-06, 2.75270747E-09,
     & -1.59406074E-01, 4.07242256E-04,-1.26720040E-06, 2.47737029E-09,
     & -1.50632646E-01, 3.66955094E-04,-1.15993786E-06, 2.24705119E-09/
       DATA ((COMIXS(IMCO,IMLN,8),IMCO=1,4),IMLN=21,25)/
     & -1.42600154E-01, 3.27643552E-04,-1.06476991E-06, 2.05721866E-09,
     & -1.35664052E-01, 2.86433734E-04,-9.72508384E-07, 1.89623138E-09,
     & -1.30911087E-01, 2.37668275E-04,-8.57201988E-07, 1.70608272E-09,
     & -1.32650905E-01, 1.70466710E-04,-6.51912807E-07, 1.32132487E-09,
     & -1.68290305E-01, 7.21979604E-05,-1.68855968E-07, 1.55462550E-10/
C
C  CO2 Q-branch self mixing coefficient data for:
C  9 1932 cm-1  6  1, 626 (Q 2 - Q50, 1932 -1937 cm-1)
       DATA ((COMIXS(IMCO,IMLN,9),IMCO=1,4),IMLN=1,5)/
     &  3.10053246E+00,-2.71040668E-03, 6.78735053E-06,-1.43153545E-08,
     &  5.27141850E-01, 6.61252219E-04,-4.53771256E-06, 1.25802411E-08,
     &  7.99971394E-02, 1.03687273E-03,-4.95777662E-06, 1.27102030E-08,
     & -6.32711886E-02, 1.04937611E-03,-4.46918205E-06, 1.10288686E-08,
     & -1.19876877E-01, 9.83497765E-04,-3.91009215E-06, 9.38906922E-09/
       DATA ((COMIXS(IMCO,IMLN,9),IMCO=1,4),IMLN=6,10)/
     & -1.43211480E-01, 9.01201783E-04,-3.41024831E-06, 8.01002586E-09,
     & -1.51587888E-01, 8.19259408E-04,-2.98234311E-06, 6.87362000E-09,
     & -1.52808069E-01, 7.43598143E-04,-2.62188142E-06, 5.94207054E-09,
     & -1.50315874E-01, 6.75183982E-04,-2.31716432E-06, 5.17159489E-09,
     & -1.45874964E-01, 6.14170959E-04,-2.05961841E-06, 4.53208592E-09/
       DATA ((COMIXS(IMCO,IMLN,9),IMCO=1,4),IMLN=11,15)/
     & -1.40387839E-01, 5.59259353E-04,-1.83822682E-06, 3.99071163E-09,
     & -1.34651043E-01, 5.10637651E-04,-1.64951759E-06, 3.53485133E-09,
     & -1.28772653E-01, 4.67126244E-04,-1.48668549E-06, 3.14551362E-09,
     & -1.22989691E-01, 4.28196361E-04,-1.34591671E-06, 2.81165560E-09,
     & -1.17398691E-01, 3.93246537E-04,-1.22382328E-06, 2.52381724E-09/
       DATA ((COMIXS(IMCO,IMLN,9),IMCO=1,4),IMLN=16,20)/
     & -1.12061650E-01, 3.61767243E-04,-1.11786361E-06, 2.27513253E-09,
     & -1.07008570E-01, 3.33246877E-04,-1.02593959E-06, 2.06030778E-09,
     & -1.02256507E-01, 3.07202459E-04,-9.46573639E-07, 1.87631673E-09,
     & -9.78138225E-02, 2.82968994E-04,-8.77958358E-07, 1.71981270E-09,
     & -9.37470808E-02, 2.59892751E-04,-8.19067182E-07, 1.59139144E-09/
       DATA ((COMIXS(IMCO,IMLN,9),IMCO=1,4),IMLN=21,25)/
     & -9.01043299E-02, 2.36566901E-04,-7.66386831E-07, 1.48751449E-09,
     & -8.72114828E-02, 2.10894413E-04,-7.13229063E-07, 1.39921727E-09,
     & -8.58941297E-02, 1.78399473E-04,-6.40033130E-07, 1.28705988E-09,
     & -8.95789848E-02, 1.30504696E-04,-4.93331102E-07, 1.01653212E-09,
     & -1.19755417E-01, 5.73928713E-05,-1.26082691E-07, 1.25376397E-10/
C
C  CO2 Q-branch self mixing coefficient data for:
C 10 2076 cm-1  8  1, 626 (Q 2 - Q50, 2076 -2080 cm-1)
       DATA ((COMIXS(IMCO,IMLN,10),IMCO=1,4),IMLN=1,5)/
     &  4.07895680E+00,-3.58261983E-03, 8.97449905E-06,-1.89321321E-08,
     &  6.83670026E-01, 8.65437048E-04,-5.96485373E-06, 1.65459247E-08,
     &  9.45065476E-02, 1.35944978E-03,-6.51275015E-06, 1.67016854E-08,
     & -9.37006586E-02, 1.37430717E-03,-5.86196589E-06, 1.44685957E-08,
     & -1.67413109E-01, 1.28564755E-03,-5.11948650E-06, 1.22986192E-08/
       DATA ((COMIXS(IMCO,IMLN,10),IMCO=1,4),IMLN=6,10)/
     & -1.97261114E-01, 1.17508049E-03,-4.45238278E-06, 1.04575963E-08,
     & -2.07449906E-01, 1.06539228E-03,-3.88353857E-06, 8.95129647E-09,
     & -2.08088202E-01, 9.63616874E-04,-3.40172096E-06, 7.70758900E-09,
     & -2.03919782E-01, 8.71565679E-04,-2.99458235E-06, 6.68110833E-09,
     & -1.97247973E-01, 7.89294575E-04,-2.64994612E-06, 5.82928774E-09/
       DATA ((COMIXS(IMCO,IMLN,10),IMCO=1,4),IMLN=11,15)/
     & -1.89243394E-01, 7.15469711E-04,-2.35417440E-06, 5.10782469E-09,
     & -1.80811651E-01, 6.49585540E-04,-2.10055283E-06, 4.49828887E-09,
     & -1.72304632E-01, 5.90837454E-04,-1.88248637E-06, 3.98016810E-09,
     & -1.63859938E-01, 5.38029163E-04,-1.69311095E-06, 3.53429667E-09,
     & -1.55708402E-01, 4.90655075E-04,-1.52923790E-06, 3.15275531E-09/
       DATA ((COMIXS(IMCO,IMLN,10),IMCO=1,4),IMLN=16,20)/
     & -1.47887382E-01, 4.47877647E-04,-1.38593202E-06, 2.81878686E-09,
     & -1.40458226E-01, 4.09185638E-04,-1.26176435E-06, 2.53228076E-09,
     & -1.33420775E-01, 3.73822179E-04,-1.15379822E-06, 2.28530062E-09,
     & -1.26825655E-01, 3.41178147E-04,-1.06049016E-06, 2.07548967E-09,
     & -1.20684760E-01, 3.10246331E-04,-9.79518083E-07, 1.90035889E-09/
       DATA ((COMIXS(IMCO,IMLN,10),IMCO=1,4),IMLN=21,25)/
     & -1.15115315E-01, 2.79636127E-04,-9.07552662E-07, 1.75731118E-09,
     & -1.10408033E-01, 2.46719364E-04,-8.36024999E-07, 1.63386785E-09,
     & -1.07574453E-01, 2.06634829E-04,-7.43285430E-07, 1.48613802E-09,
     & -1.10416541E-01, 1.49626848E-04,-5.68806603E-07, 1.16033471E-09,
     & -1.43261509E-01, 6.45509665E-05,-1.46757763E-07, 1.40096641E-10/
C
C  CO2 Q-branch self mixing coefficient data for:
C 11 2093 cm-1 14  2, 626 (Q 2 - Q70, 2093 -2095 cm-1)
       DATA ((COMIXS(IMCO,IMLN,11),IMCO=1,4),IMLN=1,5)/
     &  8.37076264E+00, 3.51339780E-02,-1.98718108E-05, 2.55620624E-08,
     &  5.35526319E+00, 2.26346621E-02,-1.23298239E-05, 1.54285404E-08,
     &  5.72869621E+00, 2.85586313E-02,-1.63194664E-05, 2.04953128E-08,
     & -2.80007817E+00,-8.83887340E-03, 6.78241808E-06,-1.05330459E-08,
     &  1.62908658E+00, 7.76499090E-03,-3.35878594E-06, 3.39301455E-09/
       DATA ((COMIXS(IMCO,IMLN,11),IMCO=1,4),IMLN=6,10)/
     & -1.59919282E+00,-3.35426550E-03, 4.80119707E-06,-9.53460795E-09,
     & -2.46947346E-01, 2.49363074E-04, 1.22614006E-06,-2.81259323E-09,
     &  1.06562293E+00, 5.27417958E-03,-1.97800196E-06, 1.71865836E-09,
     & -2.09970943E+00,-7.86847092E-03, 7.55678157E-06,-1.22988672E-08,
     &  1.64175158E-03, 8.78748442E-04, 7.12053657E-07,-1.91495357E-09/
       DATA ((COMIXS(IMCO,IMLN,11),IMCO=1,4),IMLN=11,15)/
     &  1.46294851E+00, 6.85614103E-03,-3.17536777E-06, 3.57604787E-09,
     & -2.45399713E+00,-1.29345906E-02, 7.42351390E-06,-6.59129444E-09,
     &  4.14267491E-02, 8.39085085E-04, 5.94628022E-07,-1.58122486E-09,
     &  3.19553680E-01, 6.55441115E-03, 6.24306862E-06,-2.00681407E-08,
     & -1.42551410E+00,-5.68676832E-03, 4.71745322E-06,-7.16785710E-09/
       DATA ((COMIXS(IMCO,IMLN,11),IMCO=1,4),IMLN=16,20)/
     &  5.16187819E-02, 7.63101070E-04, 5.11510936E-07,-1.33075921E-09,
     & -5.16335728E-01,-1.38248412E-03, 4.27731822E-06,-7.59748468E-09,
     & -2.93059748E-01,-8.90758421E-04, 1.50163059E-06,-2.58676643E-09,
     &  6.30107743E-02, 7.49712849E-04, 4.12411873E-07,-1.10107260E-09,
     & -4.95916731E-01,-2.20484521E-03, 2.17030027E-06,-1.79388959E-09/
       DATA ((COMIXS(IMCO,IMLN,11),IMCO=1,4),IMLN=21,25)/
     & -1.42102281E-01,-2.98080819E-04, 1.00566787E-06,-1.79433636E-09,
     &  8.93319337E-02, 8.56966687E-04, 2.74007128E-07,-8.78528246E-10,
     & -4.18601001E-01,-2.23502032E-03, 1.26901979E-07, 2.21850461E-09,
     & -9.23864335E-02,-1.24703472E-04, 7.99990037E-07,-1.43112852E-09,
     &  1.67199434E-01, 1.30129724E-03, 9.29949049E-09,-6.29511203E-10/
       DATA ((COMIXS(IMCO,IMLN,11),IMCO=1,4),IMLN=26,30)/
     & -3.50365425E-01,-2.14331374E-03,-2.08101608E-06, 4.95770820E-09,
     & -7.08695113E-02,-6.10891940E-05, 6.84100151E-07,-1.21474341E-09,
     &  8.61713610E-01, 5.59305115E-03,-1.80010927E-06, 1.85328937E-10,
     & -3.49509872E-01,-3.13785632E-03,-1.11034965E-05, 1.19106146E-08,
     & -6.06281865E-02,-3.86115839E-05, 6.12308365E-07,-1.07928377E-09/
       DATA ((COMIXS(IMCO,IMLN,11),IMCO=1,4),IMLN=31,35)/
     & -1.97678133E-01,-6.35318979E-04, 3.05188822E-06, 2.71162979E-10,
     & -3.64376702E-01,-2.06237231E-03, 1.22062098E-06,-8.41272626E-10,
     & -5.61982863E-02,-3.77603198E-05, 5.68647074E-07,-9.97625287E-10,
     & -1.78311185E-01,-7.66018766E-04, 7.61411765E-07, 1.21089500E-09,
     & -1.79360991E-01,-9.35109951E-04, 6.94882931E-07,-5.27661140E-10/
       DATA ((COMIXS(IMCO,IMLN,11),IMCO=1,4),IMLN=36,40)/
     & -5.52280068E-02,-5.19379196E-05, 5.43229426E-07,-9.49740977E-10,
     & -1.55250005E-01,-6.87146016E-04, 2.87265186E-07, 8.90144432E-10,
     & -1.36761699E-01,-6.99391579E-04, 5.13244986E-07,-3.15930352E-10,
     & -5.64992687E-02,-7.83774316E-05, 5.26483352E-07,-9.17138781E-10,
     & -1.35884992E-01,-5.98233219E-04, 1.81234183E-07, 6.62493848E-10/
       DATA ((COMIXS(IMCO,IMLN,11),IMCO=1,4),IMLN=41,45)/
     & -1.28544452E-01,-7.00473877E-04, 3.58570864E-07, 1.25942829E-11,
     & -5.90242282E-02,-1.13476174E-04, 5.07088595E-07,-8.85316065E-10,
     & -1.19952352E-01,-5.20060539E-04, 2.42370397E-07, 1.15728490E-09,
     & -1.83121699E-01,-1.27440794E-03,-1.18392747E-07, 1.54210762E-09,
     & -6.20693663E-02,-1.53719957E-04, 4.68599256E-07,-8.39862460E-10/
       DATA ((COMIXS(IMCO,IMLN,11),IMCO=1,4),IMLN=46,50)/
     & -1.50448431E-03, 4.55074975E-04, 9.68808584E-07,-2.53765887E-09,
     & -1.07093658E-01,-4.70316867E-04, 9.18913270E-08,-1.17013870E-09,
     & -6.58281314E-02,-2.04936827E-04, 3.70395233E-07,-7.06182208E-10,
     & -5.29276416E-02,-7.07900365E-05, 4.84603545E-07,-1.12841664E-09,
     & -9.60704313E-02,-4.17899689E-04, 1.53208138E-07,-5.69810078E-10/
       DATA ((COMIXS(IMCO,IMLN,11),IMCO=1,4),IMLN=51,55)/
     & -7.63963794E-02,-3.40109705E-04, 1.11572789E-07,-1.38351367E-10,
     & -9.68355821E-02,-4.77257646E-04, 2.32645780E-07,-2.54140175E-10,
     & -8.67606259E-02,-3.76696482E-04, 1.70641841E-07,-4.95092188E-10,
     & -7.87670007E-02,-3.42190213E-04, 1.74161570E-07,-4.03481124E-10,
     & -7.18534913E-02,-3.13169680E-04, 1.75658487E-07,-3.66512346E-10/
       DATA ((COMIXS(IMCO,IMLN,11),IMCO=1,4),IMLN=56,60)/
     & -6.58112412E-02,-2.88102739E-04, 1.72292119E-07,-3.31003036E-10,
     & -6.04898713E-02,-2.66258014E-04, 1.66885157E-07,-3.00064975E-10,
     & -5.57789145E-02,-2.47050754E-04, 1.60231774E-07,-2.72059753E-10,
     & -5.15875440E-02,-2.30022192E-04, 1.52858025E-07,-2.46351929E-10,
     & -4.78300981E-02,-2.14768254E-04, 1.45082661E-07,-2.22629678E-10/
       DATA ((COMIXS(IMCO,IMLN,11),IMCO=1,4),IMLN=61,65)/
     & -4.44549243E-02,-2.01046073E-04, 1.37155177E-07,-2.00833938E-10,
     & -4.14089976E-02,-1.88622371E-04, 1.29255465E-07,-1.81254734E-10,
     & -3.86380552E-02,-1.77276627E-04, 1.21257849E-07,-1.63548335E-10,
     & -3.61313640E-02,-1.67008082E-04, 1.13259808E-07,-1.49318513E-10,
     & -3.38546499E-02,-1.57751647E-04, 1.03910176E-07,-1.32818517E-10/
       DATA ((COMIXS(IMCO,IMLN,11),IMCO=1,4),IMLN=66,69)/
     & -3.18030016E-02,-1.49798860E-04, 9.24961564E-08,-1.15368266E-10,
     & -3.00500570E-02,-1.44321185E-04, 7.65829968E-08,-8.83187060E-11,
     & -2.90191909E-02,-1.45858334E-04, 5.47587062E-08,-3.97412819E-11,
     & -3.24168436E-02,-1.79724373E-04, 4.47728371E-08, 1.52275177E-11/
C
C  CO2 Q-branch self mixing coefficient data for:
C 12 2129 cm-1 15  2, 626 (Q50 - Q 2, 2128 -2130 cm-1)
       DATA ((COMIXS(IMCO,IMLN,12),IMCO=1,4),IMLN=1,5)/
     &  3.57937522E-01,-1.77240657E-04, 4.04282518E-07,-5.91232413E-10,
     &  2.57341881E-01,-3.90670248E-04, 1.48821750E-06,-3.19614285E-09,
     &  2.39899522E-01,-5.19715941E-04, 1.87567460E-06,-3.88837570E-09,
     &  2.37926614E-01,-5.98876537E-04, 2.03563774E-06,-4.09936322E-09,
     &  2.40943948E-01,-6.56257381E-04, 2.13500029E-06,-4.24204250E-09/
       DATA ((COMIXS(IMCO,IMLN,12),IMCO=1,4),IMLN=6,10)/
     &  2.46053967E-01,-7.05047702E-04, 2.22980626E-06,-4.42478304E-09,
     &  2.52426199E-01,-7.52337899E-04, 2.34142355E-06,-4.67506644E-09,
     &  2.59848462E-01,-8.01731096E-04, 2.47686065E-06,-4.99461754E-09,
     &  2.68136406E-01,-8.55137185E-04, 2.63882502E-06,-5.38143184E-09,
     &  2.77159390E-01,-9.13955497E-04, 2.82990100E-06,-5.83839413E-09/
       DATA ((COMIXS(IMCO,IMLN,12),IMCO=1,4),IMLN=11,15)/
     &  2.86889480E-01,-9.79557382E-04, 3.05390862E-06,-6.37301270E-09,
     &  2.97347588E-01,-1.05303742E-03, 3.31305621E-06,-6.98372332E-09,
     &  3.08238823E-01,-1.13541533E-03, 3.61562927E-06,-7.70565356E-09,
     &  3.19402816E-01,-1.22835015E-03, 3.97133802E-06,-8.56908550E-09,
     &  3.30388540E-01,-1.33293693E-03, 4.38349052E-06,-9.56673054E-09/
       DATA ((COMIXS(IMCO,IMLN,12),IMCO=1,4),IMLN=16,20)/
     &  3.40604225E-01,-1.45097272E-03, 4.86658169E-06,-1.07481379E-08,
     &  3.48709865E-01,-1.58378371E-03, 5.43450386E-06,-1.21553657E-08,
     &  3.52495061E-01,-1.73284549E-03, 6.10622639E-06,-1.38471145E-08,
     &  3.48000853E-01,-1.89852885E-03, 6.90386257E-06,-1.58964063E-08,
     &  3.27058480E-01,-2.07778006E-03, 7.85053778E-06,-1.83920770E-08/
       DATA ((COMIXS(IMCO,IMLN,12),IMCO=1,4),IMLN=21,25)/
     &  2.72389812E-01,-2.25881324E-03, 8.96185142E-06,-2.14278164E-08,
     &  1.42597087E-01,-2.40261316E-03, 1.02033787E-05,-2.50234100E-08,
     & -1.84015468E-01,-2.36888799E-03, 1.12815934E-05,-2.86744711E-08,
     & -1.20000360E+00,-1.51166266E-03, 1.02948437E-05,-2.81908204E-08,
     & -7.04162022E+00, 6.14806477E-03,-1.53648812E-05, 3.20979032E-08/
C
C  COMIXF - are the foreign-broadened mixing coefficients
C
C  CO2 Q-branch foreign mixing coefficient data for:
C  1  618 cm-1  3  2, 626 (Q50 - Q 2, 615-619 cm-1)
       DATA ((COMIXF(IMCO,IMLN,1),IMCO=1,4),IMLN=1,5)/
     &  1.87049880E-01,-1.23410250E-04, 2.97102768E-07,-4.03734034E-10,
     &  1.50029549E-01,-2.05466450E-04, 7.81554953E-07,-1.65108584E-09,
     &  1.46567825E-01,-2.76930816E-04, 1.01885070E-06,-2.11917428E-09,
     &  1.49650049E-01,-3.32944051E-04, 1.16097691E-06,-2.35619819E-09,
     &  1.54876646E-01,-3.81532811E-04, 1.27584984E-06,-2.55386463E-09/
       DATA ((COMIXF(IMCO,IMLN,1),IMCO=1,4),IMLN=6,10)/
     &  1.61127402E-01,-4.27792995E-04, 1.39116426E-06,-2.77383230E-09,
     &  1.67930458E-01,-4.74351567E-04, 1.51868653E-06,-3.04299487E-09,
     &  1.75285432E-01,-5.23311016E-04, 1.66426829E-06,-3.36394298E-09,
     &  1.83080362E-01,-5.75524886E-04, 1.83013202E-06,-3.74031328E-09,
     &  1.91187798E-01,-6.31764395E-04, 2.01863938E-06,-4.17554458E-09/
       DATA ((COMIXF(IMCO,IMLN,1),IMCO=1,4),IMLN=11,15)/
     &  1.99704944E-01,-6.93229449E-04, 2.23431360E-06,-4.68216805E-09,
     &  2.08520401E-01,-7.60371975E-04, 2.47888503E-06,-5.26310665E-09,
     &  2.17476050E-01,-8.33964757E-04, 2.75664212E-06,-5.93117376E-09,
     &  2.26539575E-01,-9.15223412E-04, 3.07391538E-06,-6.70537751E-09,
     &  2.35364444E-01,-1.00473309E-03, 3.43555349E-06,-7.60098740E-09/
       DATA ((COMIXF(IMCO,IMLN,1),IMCO=1,4),IMLN=16,20)/
     &  2.43495488E-01,-1.10355841E-03, 3.84981291E-06,-8.64468669E-09,
     &  2.50112351E-01,-1.21240584E-03, 4.32541407E-06,-9.86677418E-09,
     &  2.53759110E-01,-1.33163819E-03, 4.87304875E-06,-1.13071349E-08,
     &  2.51781145E-01,-1.46021513E-03, 5.50318543E-06,-1.30124865E-08,
     &  2.38745940E-01,-1.59337535E-03, 6.22234977E-06,-1.50334700E-08/
       DATA ((COMIXF(IMCO,IMLN,1),IMCO=1,4),IMLN=21,25)/
     &  2.03073990E-01,-1.71695475E-03, 7.02116972E-06,-1.74061990E-08,
     &  1.16525932E-01,-1.78808343E-03, 7.82738151E-06,-2.00606947E-08,
     & -1.04429863E-01,-1.66063734E-03, 8.30764225E-06,-2.23828999E-08,
     & -8.05454616E-01,-6.65708394E-04, 6.66273663E-06,-2.02707352E-08,
     & -4.97834147E+00, 7.46255127E-03,-1.60784895E-05, 3.61555093E-08/
C
C  CO2 Q-branch foreign mixing coefficient data for:
C  2  648 cm-1  2  1, 636 (Q 2 - Q50,  648 - 652 cm-1)
       DATA ((COMIXF(IMCO,IMLN,2),IMCO=1,4),IMLN=1,5)/
     &  3.70088542E+00,-4.32746602E-03, 1.00780102E-05,-1.94571444E-08,
     &  6.22757272E-01, 5.47540407E-04,-5.14365737E-06, 1.54995110E-08,
     &  9.56515762E-02, 1.18121898E-03,-6.08625113E-06, 1.61799548E-08,
     & -7.38458060E-02, 1.27030861E-03,-5.67808198E-06, 1.43267669E-08,
     & -1.41927596E-01, 1.22850537E-03,-5.08635205E-06, 1.23956952E-08/
       DATA ((COMIXF(IMCO,IMLN,2),IMCO=1,4),IMLN=6,10)/
     & -1.71300057E-01, 1.15079525E-03,-4.52090194E-06, 1.07253678E-08,
     & -1.83226043E-01, 1.06522709E-03,-4.01960564E-06, 9.32415167E-09,
     & -1.86590487E-01, 9.81834983E-04,-3.58519169E-06, 8.15473620E-09,
     & -1.85486509E-01, 9.04060801E-04,-3.21080382E-06, 7.17528919E-09,
     & -1.81971322E-01, 8.32626125E-04,-2.88706467E-06, 6.34779117E-09/
       DATA ((COMIXF(IMCO,IMLN,2),IMCO=1,4),IMLN=11,15)/
     & -1.77208225E-01, 7.67591777E-04,-2.60647116E-06, 5.64424814E-09,
     & -1.71818126E-01, 7.08466837E-04,-2.36212411E-06, 5.04157974E-09,
     & -1.66170706E-01, 6.54745319E-04,-2.14875818E-06, 4.52273469E-09,
     & -1.60452500E-01, 6.05675788E-04,-1.96128585E-06, 4.07258964E-09,
     & -1.54851830E-01, 5.60840185E-04,-1.79653683E-06, 3.68136680E-09/
       DATA ((COMIXF(IMCO,IMLN,2),IMCO=1,4),IMLN=16,20)/
     & -1.49449780E-01, 5.19674186E-04,-1.65149490E-06, 3.34061425E-09,
     & -1.44289320E-01, 4.81839120E-04,-1.52477965E-06, 3.04698021E-09,
     & -1.39281482E-01, 4.46252669E-04,-1.41251363E-06, 2.79135981E-09,
     & -1.34614625E-01, 4.12637818E-04,-1.31414632E-06, 2.57453326E-09,
     & -1.30298235E-01, 3.79990294E-04,-1.22694438E-06, 2.39305486E-09/
       DATA ((COMIXF(IMCO,IMLN,2),IMCO=1,4),IMLN=21,25)/
     & -1.26451631E-01, 3.46821598E-04,-1.14615448E-06, 2.24067833E-09,
     & -1.23444734E-01, 3.10743942E-04,-1.06178704E-06, 2.09913057E-09,
     & -1.22321789E-01, 2.67409007E-04,-9.49591158E-07, 1.91202937E-09,
     & -1.26978124E-01, 2.09547012E-04,-7.50015686E-07, 1.51123294E-09,
     & -1.61289925E-01, 1.38247072E-04,-3.26469552E-07, 4.06179167E-10/
C
C  CO2 Q-branch foreign mixing coefficient data for:
C  3  662 cm-1  2  1, 628 (Q   cm-1)
c currently this is dummy data
       DATA ((COMIXF(IMCO,IMLN,3),IMCO=1,4),IMLN=1,5)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
       DATA ((COMIXF(IMCO,IMLN,3),IMCO=1,4),IMLN=6,10)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
       DATA ((COMIXF(IMCO,IMLN,3),IMCO=1,4),IMLN=11,15)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
       DATA ((COMIXF(IMCO,IMLN,3),IMCO=1,4),IMLN=16,20)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
       DATA ((COMIXF(IMCO,IMLN,3),IMCO=1,4),IMLN=21,25)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
       DATA ((COMIXF(IMCO,IMLN,3),IMCO=1,4),IMLN=26,30)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
       DATA ((COMIXF(IMCO,IMLN,3),IMCO=1,4),IMLN=31,35)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
       DATA ((COMIXF(IMCO,IMLN,3),IMCO=1,4),IMLN=36,40)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
       DATA ((COMIXF(IMCO,IMLN,3),IMCO=1,4),IMLN=41,45)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
       DATA ((COMIXF(IMCO,IMLN,3),IMCO=1,4),IMLN=46,50)/
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00,
     &  0.00000000E+00, 0.00000000E+00, 0.00000000E+00, 0.00000000E+00/
C
C  CO2 Q-branch foreign mixing coefficient data for:
C  4  667 cm-1  2  1, 626 (Q 2 - Q50, 667-671 cm-1)
       DATA ((COMIXF(IMCO,IMLN,4),IMCO=1,4),IMLN=1,5)/
     &  3.60118581E+00,-4.21076392E-03, 9.80084782E-06,-1.88997762E-08,
     &  6.06072813E-01, 5.32444404E-04,-5.00398753E-06, 1.50804767E-08,
     &  9.29808972E-02, 1.14931517E-03,-5.92150083E-06, 1.57411751E-08,
     & -7.19488506E-02, 1.23604737E-03,-5.52452569E-06, 1.39382161E-08,
     & -1.38108049E-01, 1.19522970E-03,-4.94836745E-06, 1.20586206E-08/
       DATA ((COMIXF(IMCO,IMLN,4),IMCO=1,4),IMLN=6,10)/
     & -1.66724463E-01, 1.11955326E-03,-4.39786792E-06, 1.04327753E-08,
     & -1.78377714E-01, 1.03649832E-03,-3.91087490E-06, 9.07086513E-09,
     & -1.81592914E-01, 9.55268546E-04,-3.48802652E-06, 7.93314305E-09,
     & -1.80481638E-01, 8.79516475E-04,-3.12350436E-06, 6.97957309E-09,
     & -1.77048050E-01, 8.09977710E-04,-2.80843914E-06, 6.17438024E-09/
       DATA ((COMIXF(IMCO,IMLN,4),IMCO=1,4),IMLN=11,15)/
     & -1.72396891E-01, 7.46691001E-04,-2.53547325E-06, 5.49009099E-09,
     & -1.67112661E-01, 6.89041725E-04,-2.29741097E-06, 4.90324307E-09,
     & -1.61632585E-01, 6.36749267E-04,-2.08963366E-06, 4.39789637E-09,
     & -1.56091236E-01, 5.89068156E-04,-1.90742309E-06, 3.96035109E-09,
     & -1.50623059E-01, 5.45460636E-04,-1.74727351E-06, 3.58015328E-09/
       DATA ((COMIXF(IMCO,IMLN,4),IMCO=1,4),IMLN=16,20)/
     & -1.45314409E-01, 5.05299969E-04,-1.60598264E-06, 3.24876996E-09,
     & -1.40283753E-01, 4.68382655E-04,-1.48214543E-06, 2.96127205E-09,
     & -1.35451993E-01, 4.33860646E-04,-1.37325172E-06, 2.71353327E-09,
     & -1.30892953E-01, 4.01132502E-04,-1.27748420E-06, 2.50248483E-09,
     & -1.26679582E-01, 3.69289955E-04,-1.19078502E-06, 2.31334439E-09/
       DATA ((COMIXF(IMCO,IMLN,4),IMCO=1,4),IMLN=21,25)/
     & -1.22936606E-01, 3.37081616E-04,-1.11400217E-06, 2.17785767E-09,
     & -1.20001798E-01, 3.01988831E-04,-1.03183016E-06, 2.03977012E-09,
     & -1.18890518E-01, 2.59838305E-04,-9.22697838E-07, 1.85773765E-09,
     & -1.23399608E-01, 2.03594820E-04,-7.28701252E-07, 1.46804410E-09,
     & -1.56708168E-01, 1.34298371E-04,-3.17138608E-07, 3.94236977E-10/
C
C  CO2 Q-branch foreign mixing coefficient data for:
C  5  668 cm-1  4  2, 626 (Q 2 - Q81,  667 - 675 cm-1)
       DATA ((COMIXF(IMCO,IMLN,5),IMCO=1,4),IMLN=1,5)/
     &  7.25454273E+00,-8.98354255E-03, 2.95764640E-05,-6.13731419E-08,
     &  8.52366429E+00,-1.18604018E-02, 4.17058875E-05,-9.07140136E-08,
     & -4.35886697E+00, 1.11300672E-02,-5.13731234E-05, 1.24145170E-07,
     &  7.99844149E-01,-1.42910439E-05,-6.06520499E-07, 2.55721556E-09,
     &  1.15622580E+01,-1.66160291E-02, 5.11979442E-05,-1.07421896E-07/
       DATA ((COMIXF(IMCO,IMLN,5),IMCO=1,4),IMLN=6,10)/
     & -1.69390607E+01, 1.98467780E-02,-4.89593939E-05, 8.04557393E-08,
     &  1.21288995E+00,-1.01982723E-03, 2.52082655E-06,-4.52298811E-09,
     & -9.43791863E-01, 4.58174117E-03,-1.95827571E-05, 4.57912412E-08,
     & -4.99330559E-01, 1.37725045E-03,-4.28130630E-06, 9.23051825E-09,
     &  1.74223495E+00,-1.93517045E-03, 4.76371355E-06,-8.96517896E-09/
       DATA ((COMIXF(IMCO,IMLN,5),IMCO=1,4),IMLN=11,15)/
     & -2.68533645E+00, 2.82539795E-03,-4.07235542E-06, 1.55473968E-09,
     &  2.96764053E-01, 4.60929665E-05,-4.75463491E-07, 1.33418243E-09,
     & -4.72217087E-02, 3.84279325E-03,-1.56145863E-05, 3.41766672E-08,
     & -1.02663287E+00, 1.76627909E-03,-4.63266374E-06, 9.15941795E-09,
     &  5.58770881E-01,-3.93365676E-04, 6.15684440E-07,-8.10227291E-10/
       DATA ((COMIXF(IMCO,IMLN,5),IMCO=1,4),IMLN=16,20)/
     & -1.04950297E+00, 1.14253978E-03,-7.59439452E-07,-2.20585746E-09,
     &  2.32105375E-02, 2.56644386E-04,-8.52503727E-07, 1.85274373E-09,
     &  1.63931148E+01, 6.68323948E-02,-2.59688971E-04, 5.02623532E-07,
     & -2.95657066E+01, 3.56755887E-02,-7.62682179E-05, 1.35055111E-07,
     &  2.12842210E-01,-2.84185174E-05,-1.87977386E-07, 5.99265573E-10/
       DATA ((COMIXF(IMCO,IMLN,5),IMCO=1,4),IMLN=21,25)/
     & -5.56224922E-01, 7.10918906E-04,-9.88857367E-08,-2.39350779E-09,
     & -1.05534519E-01, 3.02116281E-04,-8.14521427E-07, 1.62433636E-09,
     &  6.12055504E-01,-4.60609989E-04, 6.14844576E-07,-7.24697531E-10,
     & -6.41859792E-01,-8.60578885E-04, 3.31140915E-06,-4.90883287E-09,
     &  7.20822664E-02, 7.62454424E-05,-3.43941346E-07, 7.91983414E-10/
       DATA ((COMIXF(IMCO,IMLN,5),IMCO=1,4),IMLN=26,30)/
     & -3.39644788E-01, 6.13333923E-04, 2.12061068E-07,-2.79135922E-09,
     & -2.31364663E-01, 3.33119433E-04,-7.33493824E-07, 1.33481482E-09,
     &  2.02269238E-01,-4.99187984E-05,-1.32275140E-07, 4.58068698E-10,
     & -3.43285296E-01,-1.35415205E-04, 6.36333545E-07,-2.73171451E-10,
     &  2.79220584E-04, 1.01624751E-04,-3.32256449E-07, 7.00955382E-10/
       DATA ((COMIXF(IMCO,IMLN,5),IMCO=1,4),IMLN=31,35)/
     & -1.76565713E-01, 1.29906272E-03, 1.61932010E-06,-9.16104353E-09,
     & -9.43549338E-01, 7.05450052E-04,-9.72986438E-07, 1.29633954E-09,
     &  7.84065339E-02, 3.79886288E-05,-2.39324079E-07, 5.63965593E-10,
     & -2.30838692E-01, 2.40587015E-05, 1.25410302E-07, 4.31796461E-10,
     & -4.96570051E-02, 9.81463025E-05,-2.69425461E-07, 5.36844466E-10/
       DATA ((COMIXF(IMCO,IMLN,5),IMCO=1,4),IMLN=36,40)/
     &  2.81930257E-01,-3.94297885E-05,-2.27080411E-07, 6.49310039E-10,
     & -2.08639419E-01,-1.64797211E-04,-7.91401255E-07, 2.99758730E-09,
     &  2.14147269E-02, 5.62710802E-05,-2.27364290E-07, 4.90768001E-10,
     & -1.69963799E-01, 7.81549101E-05, 8.87135239E-08, 4.41320190E-10,
     & -1.22093512E-01, 7.96464226E-05,-1.64931945E-07, 2.99808068E-10/
       DATA ((COMIXF(IMCO,IMLN,5),IMCO=1,4),IMLN=41,45)/
     &  7.70385527E-02, 4.78716340E-05,-2.46758629E-07, 5.42256558E-10,
     & -1.51893691E-01, 2.06664033E-05,-3.77706566E-07, 1.19791990E-09,
     & -1.37266360E-02, 4.97545800E-05,-1.81814932E-07, 3.76209277E-10,
     &  1.81523912E+00, 3.23143967E-04,-1.97207264E-06, 4.31325164E-09,
     & -1.46523245E-01,-2.94594781E-04,-3.58743783E-06, 2.73495159E-09/
       DATA ((COMIXF(IMCO,IMLN,5),IMCO=1,4),IMLN=46,50)/
     &  2.11653819E-02, 5.11216167E-05,-2.05049074E-07, 4.21297239E-10,
     & -1.19618285E-01, 5.00364576E-05,-2.46692938E-07, 7.98307474E-10,
     & -5.22648046E-02, 2.30891545E-05,-1.06186465E-07, 2.17392906E-10,
     &  6.26798958E-02, 7.53562474E-05,-2.66837857E-07, 5.25758961E-10,
     & -1.07839591E-01, 4.62201920E-05,-3.09515908E-07, 5.47139704E-10/
       DATA ((COMIXF(IMCO,IMLN,5),IMCO=1,4),IMLN=51,55)/
     & -8.21158274E-03, 3.63493409E-05,-1.57048010E-07, 3.09149909E-10,
     & -9.66029681E-02, 8.74035539E-05, 3.82660430E-07, 2.88253670E-09,
     & -1.23076298E+00,-9.36247169E-04, 2.01691505E-06,-3.63687577E-09,
     &  1.05963336E-02, 5.11418375E-05,-1.88921539E-07, 3.51865032E-10,
     & -8.89055281E-02, 4.94462238E-05,-2.04457308E-07, 4.45568692E-10/
       DATA ((COMIXF(IMCO,IMLN,5),IMCO=1,4),IMLN=56,60)/
     & -4.30427830E-02,-5.30081195E-06,-8.44361960E-08, 1.62925296E-10,
     &  2.91409815E-02, 7.75641761E-05,-2.32713725E-07, 4.12216037E-10,
     & -8.14336720E-02, 4.72347061E-05,-1.88437451E-07, 2.92004076E-10,
     & -1.45363023E-02, 2.10525540E-05,-1.46265176E-07, 2.67231336E-10,
     &  8.65606447E-02, 1.74379140E-04,-3.65466145E-07, 6.40793700E-10/
       DATA ((COMIXF(IMCO,IMLN,5),IMCO=1,4),IMLN=61,65)/
     & -7.48508306E-02, 4.47809810E-05,-1.67455667E-07, 1.65068811E-10,
     & -5.61133525E-03, 2.45633471E-05,-1.56305056E-07, 3.16755588E-10,
     & -6.90731559E-02, 4.27159750E-05,-1.44946095E-07, 3.37337070E-10,
     & -1.42045561E-01,-2.43219003E-04, 2.11899430E-07,-3.23005844E-10,
     & -6.39643024E-02, 3.97970363E-05,-1.29794331E-07, 2.18203218E-10/
       DATA ((COMIXF(IMCO,IMLN,5),IMCO=1,4),IMLN=66,70)/
     & -5.94110875E-02, 3.70570958E-05,-1.16945463E-07, 2.04400391E-10,
     & -5.53287512E-02, 3.43624454E-05,-1.06013838E-07, 1.89520403E-10,
     & -5.16557340E-02, 3.17488385E-05,-9.61439636E-08, 1.73142421E-10,
     & -4.83502240E-02, 2.92763143E-05,-8.76018839E-08, 1.59226875E-10,
     & -4.53402739E-02, 2.69305345E-05,-7.99438196E-08, 1.46576594E-10/
       DATA ((COMIXF(IMCO,IMLN,5),IMCO=1,4),IMLN=71,75)/
     & -4.26029497E-02, 2.47375166E-05,-7.30448382E-08, 1.35142105E-10,
     & -4.00940849E-02, 2.26944984E-05,-6.66987229E-08, 1.24525932E-10,
     & -3.78031011E-02, 2.08263170E-05,-6.07873394E-08, 1.14320914E-10,
     & -3.56899769E-02, 1.91431077E-05,-5.51560580E-08, 1.03850882E-10,
     & -3.37398370E-02, 1.76853624E-05,-4.97764215E-08, 9.24335450E-11/
       DATA ((COMIXF(IMCO,IMLN,5),IMCO=1,4),IMLN=76,80)/
     & -3.19272389E-02, 1.65179754E-05,-4.49183449E-08, 7.98379698E-11,
     & -3.02250892E-02, 1.57043812E-05,-4.13982322E-08, 6.81323776E-11,
     & -2.85904183E-02, 1.51803953E-05,-4.08057308E-08, 6.25688710E-11,
     & -2.69972887E-02, 1.40074881E-05,-4.27712443E-08, 6.97245815E-11,
     & -2.60893097E-02, 7.22686453E-06,-2.35328922E-08, 3.77418786E-11/
C
C  CO2 Q-branch foreign mixing coefficient data for:
C  6  720 cm-1  5  2, 626 (Q50 - Q 2, 718-721 cm-1)
       DATA ((COMIXF(IMCO,IMLN,6),IMCO=1,4),IMLN=1,5)/
     &  1.61785298E-01,-1.16849227E-04, 2.73457561E-07,-3.76850832E-10,
     &  1.24668334E-01,-1.88219661E-04, 7.12255409E-07,-1.51514920E-09,
     &  1.19047951E-01,-2.48419908E-04, 9.15049541E-07,-1.91440472E-09,
     &  1.19516141E-01,-2.93068341E-04, 1.02524163E-06,-2.09067877E-09,
     &  1.21949974E-01,-3.29845314E-04, 1.10692853E-06,-2.22361361E-09/
       DATA ((COMIXF(IMCO,IMLN,6),IMCO=1,4),IMLN=6,10)/
     &  1.25203918E-01,-3.63365610E-04, 1.18569607E-06,-2.37212848E-09,
     &  1.29022227E-01,-3.96542779E-04, 1.27294396E-06,-2.55627102E-09,
     &  1.33200367E-01,-4.30645422E-04, 1.37222944E-06,-2.77906630E-09,
     &  1.37683517E-01,-4.66767676E-04, 1.48645224E-06,-3.04381248E-09,
     &  1.42422880E-01,-5.05591824E-04, 1.61727691E-06,-3.35264391E-09/
       DATA ((COMIXF(IMCO,IMLN,6),IMCO=1,4),IMLN=11,15)/
     &  1.47430634E-01,-5.47865018E-04, 1.76701748E-06,-3.71039492E-09,
     &  1.52630131E-01,-5.94042180E-04, 1.93751509E-06,-4.12199470E-09,
     &  1.57938405E-01,-6.44738095E-04, 2.13177840E-06,-4.59605366E-09,
     &  1.63309300E-01,-7.00784918E-04, 2.35397791E-06,-5.14449805E-09,
     &  1.68490346E-01,-7.62635302E-04, 2.60779951E-06,-5.77952523E-09/
       DATA ((COMIXF(IMCO,IMLN,6),IMCO=1,4),IMLN=16,20)/
     &  1.73152505E-01,-8.31054539E-04, 2.89906354E-06,-6.51977591E-09,
     &  1.76708224E-01,-9.06618837E-04, 3.23428546E-06,-7.38766777E-09,
     &  1.78130654E-01,-9.89601905E-04, 3.62108552E-06,-8.41159325E-09,
     &  1.75439403E-01,-1.07917670E-03, 4.06689070E-06,-9.62510781E-09,
     &  1.64717975E-01,-1.17193262E-03, 4.57646862E-06,-1.10648207E-08/
       DATA ((COMIXF(IMCO,IMLN,6),IMCO=1,4),IMLN=21,25)/
     &  1.37622879E-01,-1.25785117E-03, 5.14393451E-06,-1.27590296E-08,
     &  7.36777411E-02,-1.30566158E-03, 5.71596588E-06,-1.46544486E-08,
     & -8.77533862E-02,-1.20925374E-03, 6.05028551E-06,-1.63040582E-08,
     & -5.96840680E-01,-4.85354486E-04, 4.84886738E-06,-1.47502068E-08,
     & -3.62148522E+00, 5.40810550E-03,-1.16440167E-05, 2.61774106E-08/
C
C  CO2 Q-branch foreign mixing coefficient data for:
C  7  741 cm-1  8  4, 626 (Q81 - Q 2, 733-742 cm-1)
       DATA ((COMIXF(IMCO,IMLN,7),IMCO=1,4),IMLN=1,5)/
     &  2.03588245E-02,-9.96057056E-06, 2.11454804E-08,-3.22212788E-11,
     &  2.04799446E-02,-1.65125707E-05, 4.15097820E-08,-6.74289234E-11,
     &  2.14717473E-02,-1.79821147E-05, 4.17814288E-08,-6.30996091E-11,
     &  2.25673293E-02,-1.85879986E-05, 4.24423624E-08,-6.54783595E-11,
     &  2.37286795E-02,-1.92026205E-05, 4.47080802E-08,-7.22594874E-11/
       DATA ((COMIXF(IMCO,IMLN,7),IMCO=1,4),IMLN=6,10)/
     &  2.49686111E-02,-1.99669710E-05, 4.78137515E-08,-7.99977948E-11,
     &  2.63097448E-02,-2.08769458E-05, 5.12208712E-08,-8.72672410E-11,
     &  2.77613004E-02,-2.19004844E-05, 5.46175231E-08,-9.28306543E-11,
     &  2.93381339E-02,-2.30368456E-05, 5.85428861E-08,-1.01430548E-10,
     &  3.10621821E-02,-2.42434711E-05, 6.17967909E-08,-1.03603510E-10/
       DATA ((COMIXF(IMCO,IMLN,7),IMCO=1,4),IMLN=11,15)/
     &  3.29495163E-02,-2.55749170E-05, 6.65326085E-08,-1.16220724E-10,
     &  3.50096679E-02,-2.69760708E-05, 7.10657104E-08,-1.25145676E-10,
     &  3.72948838E-02,-2.84753889E-05, 7.59362953E-08,-1.34624204E-10,
     &  3.98155236E-02,-3.00518020E-05, 8.10271981E-08,-1.43467276E-10,
     &  4.26121786E-02,-3.17295046E-05, 8.70602932E-08,-1.56756357E-10/
       DATA ((COMIXF(IMCO,IMLN,7),IMCO=1,4),IMLN=16,20)/
     &  4.57266723E-02,-3.34820753E-05, 9.34673546E-08,-1.69697608E-10,
     &  4.92120325E-02,-3.53063976E-05, 1.00528611E-07,-1.84031893E-10,
     &  5.31380698E-02,-3.71972044E-05, 1.08446018E-07,-2.00306357E-10,
     &  5.75802245E-02,-3.91142278E-05, 1.17218708E-07,-2.18329468E-10,
     &  6.26270940E-02,-4.10138058E-05, 1.27036540E-07,-2.38450102E-10/
       DATA ((COMIXF(IMCO,IMLN,7),IMCO=1,4),IMLN=21,25)/
     &  6.84381962E-02,-4.28515547E-05, 1.38166416E-07,-2.61055254E-10,
     &  7.51522490E-02,-4.44982567E-05, 1.50780512E-07,-2.85886116E-10,
     &  8.29842738E-02,-4.57922749E-05, 1.65458080E-07,-3.13697817E-10,
     &  9.22124977E-02,-4.64417257E-05, 1.82804249E-07,-3.42362073E-10,
     &  1.03225493E-01,-4.59503184E-05, 2.04147924E-07,-3.59983863E-10/
       DATA ((COMIXF(IMCO,IMLN,7),IMCO=1,4),IMLN=26,30)/
     &  9.80183282E-02,-1.08109958E-04, 1.87041824E-07,-3.13501598E-10,
     &  6.11226543E-02,-1.90213773E-04, 5.74592403E-07,-1.10622950E-09,
     &  5.61911001E-02,-1.97259400E-04, 5.64652828E-07,-9.83393242E-10,
     &  6.20407630E-02,-1.82088097E-04, 5.06530217E-07,-8.31697052E-10,
     &  2.51896902E-01,-6.05488229E-05, 4.10262780E-07,-6.22190458E-10/
       DATA ((COMIXF(IMCO,IMLN,7),IMCO=1,4),IMLN=31,35)/
     &  1.16550926E-01,-4.37666562E-05, 2.36306494E-07,-5.80488886E-10,
     &  1.69910058E-02,-1.82616737E-04, 4.43267679E-07,-7.34419891E-10,
     &  3.39622384E-02,-1.64755760E-04, 4.19407637E-07,-7.05273326E-10,
     &  5.69080859E-02,-1.50089253E-04, 4.01655798E-07,-6.85167879E-10,
     &  1.32981003E-01,-3.63433944E-05, 2.96271368E-07,-3.54573797E-10/
       DATA ((COMIXF(IMCO,IMLN,7),IMCO=1,4),IMLN=36,40)/
     & -6.06929653E-02,-1.76637717E-04, 4.24611482E-07,-7.62055741E-10,
     &  1.75724846E-02,-1.52175465E-04, 4.02263823E-07,-7.19541972E-10,
     &  4.95098863E-02,-1.45603572E-04, 3.96339954E-07,-7.12411958E-10,
     &  1.53697414E-01,-2.00958402E-05, 4.06387513E-07,-5.32484841E-10,
     & -8.73084254E-02,-1.50937678E-04, 4.19223889E-07,-7.98932356E-10/
       DATA ((COMIXF(IMCO,IMLN,7),IMCO=1,4),IMLN=41,45)/
     &  1.30445205E-02,-1.46211414E-04, 4.10017148E-07,-7.66062327E-10,
     &  7.85999567E-02,-1.52492362E-04, 4.14817673E-07,-7.63613399E-10,
     &  1.80082616E-01,-2.55298847E-06, 3.51952389E-07,-1.13985593E-09,
     & -3.75663644E-02,-1.38892878E-04, 4.24083607E-07,-8.28551569E-10,
     &  2.75667560E-02,-1.52132947E-04, 4.38623383E-07,-8.41481208E-10/
       DATA ((COMIXF(IMCO,IMLN,7),IMCO=1,4),IMLN=46,50)/
     &  2.23709160E-01, 2.46330927E-04, 2.07328337E-06,-3.45754165E-09,
     & -5.94267704E-01, 2.02532158E-05, 3.39931658E-07,-9.24211341E-10,
     & -5.61614613E-03,-1.49018244E-04, 4.61856537E-07,-9.17858836E-10,
     &  1.45426587E-01,-2.12956703E-04, 5.33202699E-07,-9.91078753E-10,
     &  2.58934644E-01, 4.00182283E-06,-3.02137827E-07,-4.64478707E-10/
       DATA ((COMIXF(IMCO,IMLN,7),IMCO=1,4),IMLN=51,55)/
     & -4.95606332E-02,-1.37582587E-04, 4.79743390E-07,-9.95261670E-10,
     &  6.84409379E-02,-2.01122581E-04, 5.64565771E-07,-1.10668193E-09,
     &  3.30926315E-01, 1.60607460E-04,-2.68372495E-07,-9.26682325E-10,
     & -1.23883888E-01,-1.04578806E-04, 4.72762954E-07,-1.04888090E-09,
     &  3.25424624E-02,-2.02950216E-04, 6.13414745E-07,-1.24485793E-09/
       DATA ((COMIXF(IMCO,IMLN,7),IMCO=1,4),IMLN=56,60)/
     &  4.49890312E-01, 4.89939714E-04,-7.97149897E-07,-9.23374811E-10,
     & -2.69445717E-01,-1.54676566E-05, 3.83052456E-07,-9.92597843E-10,
     &  8.99529098E-04,-2.07129284E-04, 6.72129189E-07,-1.40714867E-09,
     &  6.91244970E-01, 1.33810633E-03,-2.92595305E-06, 1.33743729E-09,
     & -5.89951726E-01, 2.26821659E-04, 3.11254174E-08,-5.38704285E-10/
       DATA ((COMIXF(IMCO,IMLN,7),IMCO=1,4),IMLN=61,65)/
     & -3.51320059E-02,-2.10668400E-04, 7.39374312E-07,-1.60033187E-09,
     &  1.30287695E+00, 3.50787154E-03,-1.04010588E-05, 1.41919064E-08,
     & -1.34637366E+00, 8.91810179E-04,-1.13649646E-06, 1.25582606E-09,
     & -8.21052090E-02,-2.10359215E-04, 8.11479906E-07,-1.82489915E-09,
     &  2.91269177E+00, 7.53801785E-03,-2.96172880E-05, 5.73979487E-08/
       DATA ((COMIXF(IMCO,IMLN,7),IMCO=1,4),IMLN=66,70)/
     & -2.91409976E+00, 2.45621717E-03,-4.30760809E-06, 6.61717362E-09,
     & -1.50661937E-01,-1.98516203E-04, 8.74297716E-07,-2.06665559E-09,
     &  5.67671202E+00, 8.96394710E-03,-4.80789141E-05, 1.14227700E-07,
     & -4.65358835E+00, 4.48743309E-03,-9.19301893E-06, 1.56111604E-08,
     & -2.65022514E-01,-1.52101627E-04, 8.73109411E-07,-2.24136017E-09/
       DATA ((COMIXF(IMCO,IMLN,7),IMCO=1,4),IMLN=71,75)/
     &  8.40981328E+00, 3.05239974E-03,-3.65420380E-05, 1.06830164E-07,
     & -5.50434378E+00, 5.84362305E-03,-1.35476813E-05, 2.45093466E-08,
     & -4.94281201E-01, 1.05016844E-05, 5.79405992E-07,-1.93179173E-09,
     &  1.20223302E+01,-7.69932672E-03, 1.43489310E-06, 2.90302872E-08,
     & -6.73666780E+00, 7.90881886E-03,-2.08580502E-05, 3.99677070E-08/
       DATA ((COMIXF(IMCO,IMLN,7),IMCO=1,4),IMLN=76,80)/
     & -1.12225027E+00, 6.81336596E-04,-1.23997350E-06, 1.33536915E-09,
     &  2.13129497E+01,-2.86535493E-02, 8.28097721E-05,-1.53888676E-07,
     & -1.14467345E+01, 1.54601257E-02,-4.73288724E-05, 9.64913153E-08,
     & -4.96681095E+00, 6.30762511E-03,-2.00185805E-05, 4.05178903E-08,
     & -6.33578859E+00, 7.69937682E-03,-2.35470942E-05, 4.60295854E-08/
C
C  CO2 Q-branch foreign mixing coefficient data for:
C  8  791 cm-1  8  3, 626 (Q 2 - Q50, 791-794 cm-1)
       DATA ((COMIXF(IMCO,IMLN,8),IMCO=1,4),IMLN=1,5)/
     &  4.36619438E+00,-5.12918600E-03, 1.21068847E-05,-2.41122551E-08,
     &  7.23704010E-01, 6.43331216E-04,-6.04799470E-06, 1.81523663E-08,
     &  1.00945712E-01, 1.39049269E-03,-7.16861130E-06, 1.90469850E-08,
     & -9.82666778E-02, 1.49189002E-03,-6.67457630E-06, 1.68493722E-08,
     & -1.77285111E-01, 1.43835764E-03,-5.96177207E-06, 1.45438983E-08/
       DATA ((COMIXF(IMCO,IMLN,8),IMCO=1,4),IMLN=6,10)/
     & -2.10439396E-01, 1.34185101E-03,-5.27783010E-06, 1.25374853E-08,
     & -2.23072947E-01, 1.23639376E-03,-4.67119072E-06, 1.08519641E-08,
     & -2.25626918E-01, 1.13379932E-03,-4.14502392E-06, 9.44381154E-09,
     & -2.22871995E-01, 1.03786217E-03,-3.69013347E-06, 8.26109701E-09,
     & -2.17317034E-01, 9.49793277E-04,-3.29674315E-06, 7.26227661E-09/
       DATA ((COMIXF(IMCO,IMLN,8),IMCO=1,4),IMLN=11,15)/
     & -2.10246559E-01, 8.69413323E-04,-2.95508913E-06, 6.41224439E-09,
     & -2.02446177E-01, 7.96162277E-04,-2.65681858E-06, 5.68303315E-09,
     & -1.94389723E-01, 7.29586428E-04,-2.39614762E-06, 5.05549794E-09,
     & -1.86285470E-01, 6.68838353E-04,-2.16714275E-06, 4.51188014E-09,
     & -1.78326535E-01, 6.13303728E-04,-1.96551358E-06, 4.03934797E-09/
       DATA ((COMIXF(IMCO,IMLN,8),IMCO=1,4),IMLN=16,20)/
     & -1.70606443E-01, 5.62432667E-04,-1.78806481E-06, 3.62872999E-09,
     & -1.63161559E-01, 5.15476351E-04,-1.63136263E-06, 3.27105216E-09,
     & -1.56074735E-01, 4.71978395E-04,-1.49361807E-06, 2.96267240E-09,
     & -1.49343959E-01, 4.31105454E-04,-1.37212777E-06, 2.69820883E-09,
     & -1.43043966E-01, 3.91984201E-04,-1.26435330E-06, 2.47462801E-09/
       DATA ((COMIXF(IMCO,IMLN,8),IMCO=1,4),IMLN=21,25)/
     & -1.37278374E-01, 3.53147894E-04,-1.16540372E-06, 2.28486359E-09,
     & -1.32392932E-01, 3.12309342E-04,-1.06556171E-06, 2.11091057E-09,
     & -1.29369308E-01, 2.65342296E-04,-9.41691183E-07, 1.89854308E-09,
     & -1.31897802E-01, 2.05514601E-04,-7.38025590E-07, 1.49024939E-09,
     & -1.62454798E-01, 1.33850044E-04,-3.26031343E-07, 4.26288351E-10/
C
C  CO2 Q-branch foreign mixing coefficient data for:
C  9 1932 cm-1  6  1, 626 (Q 2 - Q50, 1932 -1937 cm-1)
       DATA ((COMIXF(IMCO,IMLN,9),IMCO=1,4),IMLN=1,5)/
     &  2.54101699E+00,-2.96254089E-03, 6.89214897E-06,-1.32800996E-08,
     &  4.32091762E-01, 3.77150056E-04,-3.53156982E-06, 1.06419837E-08,
     &  7.07461421E-02, 8.11825070E-04,-4.17945418E-06, 1.11124329E-08,
     & -4.55625172E-02, 8.73031147E-04,-3.90039882E-06, 9.84413133E-09,
     & -9.25744560E-02, 8.44992510E-04,-3.49702389E-06, 8.52595494E-09/
       DATA ((COMIXF(IMCO,IMLN,9),IMCO=1,4),IMLN=6,10)/
     & -1.13017548E-01, 7.92370968E-04,-3.11174740E-06, 7.38623398E-09,
     & -1.21458947E-01, 7.34159524E-04,-2.76955674E-06, 6.42881424E-09,
     & -1.24088378E-01, 6.77683713E-04,-2.47401415E-06, 5.63191372E-09,
     & -1.23635676E-01, 6.24950880E-04,-2.21909588E-06, 4.96373563E-09,
     & -1.21504194E-01, 5.76793690E-04,-1.99991299E-06, 4.40208182E-09/
       DATA ((COMIXF(IMCO,IMLN,9),IMCO=1,4),IMLN=11,15)/
     & -1.18412583E-01, 5.32524712E-04,-1.80844356E-06, 3.92101907E-09,
     & -1.15009921E-01, 4.92679681E-04,-1.64301405E-06, 3.51150317E-09,
     & -1.11385161E-01, 4.56399708E-04,-1.49834729E-06, 3.15826749E-09,
     & -1.07736754E-01, 4.23391216E-04,-1.37170272E-06, 2.85261556E-09,
     & -1.04149912E-01, 3.93245504E-04,-1.26058147E-06, 2.58716220E-09/
       DATA ((COMIXF(IMCO,IMLN,9),IMCO=1,4),IMLN=16,20)/
     & -1.00682940E-01, 3.65598410E-04,-1.16302110E-06, 2.35632542E-09,
     & -9.73684520E-02, 3.40063645E-04,-1.07746560E-06, 2.15644192E-09,
     & -9.42304082E-02, 3.16252263E-04,-1.00265454E-06, 1.98496193E-09,
     & -9.12852168E-02, 2.93600493E-04,-9.36965770E-07, 1.83934941E-09,
     & -8.86067866E-02, 2.71554055E-04,-8.79073343E-07, 1.71892379E-09/
       DATA ((COMIXF(IMCO,IMLN,9),IMCO=1,4),IMLN=21,25)/
     & -8.62535147E-02, 2.48898188E-04,-8.25053567E-07, 1.61820122E-09,
     & -8.45376973E-02, 2.23978933E-04,-7.67900248E-07, 1.52464425E-09,
     & -8.42020176E-02, 1.93460194E-04,-6.89166494E-07, 1.39513201E-09,
     & -8.81772341E-02, 1.52073035E-04,-5.45004904E-07, 1.10564004E-09,
     & -1.14095252E-01, 1.00676364E-04,-2.34708028E-07, 2.93981147E-10/
C
C  CO2 Q-branch foreign mixing coefficient data for:
C 10 2076 cm-1  8  1, 626 (Q 2 - Q50, 2076 -2080 cm-1)
       DATA ((COMIXF(IMCO,IMLN,10),IMCO=1,4),IMLN=1,5)/
     &  3.34267459E+00,-3.91210595E-03, 9.10704024E-06,-1.75624005E-08,
     &  5.60201051E-01, 4.93893022E-04,-4.64373541E-06, 1.39941651E-08,
     &  8.40967706E-02, 1.06596105E-03,-5.49302645E-06, 1.46011523E-08,
     & -6.86946791E-02, 1.14521767E-03,-5.11959378E-06, 1.29160158E-08,
     & -1.29935271E-01, 1.10651095E-03,-4.58149221E-06, 1.11629416E-08/
       DATA ((COMIXF(IMCO,IMLN,10),IMCO=1,4),IMLN=6,10)/
     & -1.56151877E-01, 1.03526582E-03,-4.06719034E-06, 9.64635540E-09,
     & -1.66594385E-01, 9.56911028E-04,-3.61069400E-06, 8.37131747E-09,
     & -1.69279266E-01, 8.80531619E-04,-3.21533737E-06, 7.31089874E-09,
     & -1.67968920E-01, 8.09201794E-04,-2.87377379E-06, 6.41956072E-09,
     & -1.64494328E-01, 7.43906052E-04,-2.57924291E-06, 5.66836055E-09/
       DATA ((COMIXF(IMCO,IMLN,10),IMCO=1,4),IMLN=11,15)/
     & -1.59788938E-01, 6.84094071E-04,-2.32276660E-06, 5.02741086E-09,
     & -1.54585932E-01, 6.29749422E-04,-2.09935733E-06, 4.47830763E-09,
     & -1.49177027E-01, 5.80457182E-04,-1.90453261E-06, 4.00631375E-09,
     & -1.43676956E-01, 5.35359319E-04,-1.73307932E-06, 3.59645071E-09,
     & -1.38283963E-01, 4.94173603E-04,-1.58243421E-06, 3.24053420E-09/
       DATA ((COMIXF(IMCO,IMLN,10),IMCO=1,4),IMLN=16,20)/
     & -1.33036822E-01, 4.56314968E-04,-1.44963460E-06, 2.93046895E-09,
     & -1.27996979E-01, 4.21384618E-04,-1.33283349E-06, 2.66140773E-09,
     & -1.23173529E-01, 3.88780384E-04,-1.22987033E-06, 2.42867190E-09,
     & -1.18624395E-01, 3.58016451E-04,-1.13939233E-06, 2.23041564E-09,
     & -1.14375639E-01, 3.28219124E-04,-1.05886163E-06, 2.06320945E-09/
       DATA ((COMIXF(IMCO,IMLN,10),IMCO=1,4),IMLN=21,25)/
     & -1.10552607E-01, 2.98228812E-04,-9.84563317E-07, 1.92229521E-09,
     & -1.07436321E-01, 2.65936237E-04,-9.07785969E-07, 1.79229227E-09,
     & -1.05939837E-01, 2.27793172E-04,-8.08285257E-07, 1.62496022E-09,
     & -1.09314603E-01, 1.77718044E-04,-6.35827456E-07, 1.27787831E-09,
     & -1.37516480E-01, 1.16685172E-04,-2.76807728E-07, 3.43379209E-10/
C
C  CO2 Q-branch foreign mixing coefficient data for:
C 11 2093 cm-1 14  2, 626 (Q 2 - Q70, 2093 -2095 cm-1)
       DATA ((COMIXF(IMCO,IMLN,11),IMCO=1,4),IMLN=1,5)/
     &  5.50810815E+00, 2.27095885E-02,-1.29391630E-05, 1.67818018E-08,
     &  5.02299439E+00, 2.02139465E-02,-1.14198225E-05, 1.47616159E-08,
     &  5.87006542E+00, 2.88700900E-02,-1.66717621E-05, 2.12293656E-08,
     & -3.18872775E+00,-1.10235045E-02, 7.40636583E-06,-1.07114076E-08,
     &  1.82956530E+00, 7.74075287E-03,-3.93542633E-06, 4.72703432E-09/
       DATA ((COMIXF(IMCO,IMLN,11),IMCO=1,4),IMLN=6,10)/
     & -1.70774372E+00,-3.81935292E-03, 4.94392716E-06,-9.57343735E-09,
     & -1.92339016E-01,-7.94356183E-05, 7.75836953E-07,-1.62684002E-09,
     &  1.34226244E+00, 5.69950862E-03,-2.79626152E-06, 3.31709502E-09,
     & -2.28838431E+00,-8.67916247E-03, 8.07358666E-06,-1.30646385E-08,
     &  1.29772973E-01, 9.57158363E-04, 6.40867211E-08,-5.42945178E-10/
       DATA ((COMIXF(IMCO,IMLN,11),IMCO=1,4),IMLN=11,15)/
     &  1.88038640E+00, 7.74282370E-03,-4.18774168E-06, 5.36978551E-09,
     & -2.78532199E+00,-1.46153971E-02, 8.72823014E-06,-8.57647454E-09,
     &  1.83961886E-01, 1.05696170E-03,-8.60429886E-08,-2.38085658E-10,
     &  5.49653326E-01, 8.07589844E-03, 5.42909246E-06,-1.96334147E-08,
     & -1.63992230E+00,-6.28041873E-03, 4.48174093E-06,-6.52998676E-09/
       DATA ((COMIXF(IMCO,IMLN,11),IMCO=1,4),IMLN=16,20)/
     &  1.96031420E-01, 1.04190737E-03,-1.58861331E-07,-5.93672337E-11,
     & -5.16207253E-01,-1.33114197E-03, 4.51487902E-06,-8.31283902E-09,
     & -2.52675854E-01,-8.22962297E-04, 9.89369925E-07,-1.62396672E-09,
     &  2.09492242E-01, 1.06538872E-03,-2.45326667E-07, 1.19503786E-10,
     & -5.20716178E-01,-2.41367887E-03, 2.45723777E-06,-2.20917391E-09/
       DATA ((COMIXF(IMCO,IMLN,11),IMCO=1,4),IMLN=21,25)/
     & -7.05095916E-02,-1.29797598E-04, 4.89211245E-07,-8.75618325E-10,
     &  2.46469092E-01, 1.21507270E-03,-4.00422983E-07, 3.74275378E-10,
     & -4.45896337E-01,-2.55633939E-03, 1.88984695E-07, 2.61079927E-09,
     & -1.34516452E-02, 7.72990675E-05, 3.05940616E-07,-5.84437614E-10,
     &  3.66265368E-01, 1.76331089E-03,-7.97973325E-07, 9.38884090E-10/
       DATA ((COMIXF(IMCO,IMLN,11),IMCO=1,4),IMLN=26,30)/
     & -3.76984101E-01,-2.55875794E-03,-2.52850965E-06, 6.64332866E-09,
     &  8.96053422E-03, 1.54059881E-04, 2.13578603E-07,-4.25073328E-10,
     &  1.47797016E+00, 6.98935223E-03,-4.14315310E-06, 5.38110228E-09,
     & -4.06612636E-01,-4.17578300E-03,-1.42759988E-05, 1.91870782E-08,
     &  1.77121305E-02, 1.81207998E-04, 1.61657343E-07,-3.33077333E-10/
       DATA ((COMIXF(IMCO,IMLN,11),IMCO=1,4),IMLN=31,35)/
     & -1.85584451E-01,-5.24649022E-04, 4.03252775E-06,-7.96700837E-10,
     & -4.99542792E-01,-2.33801217E-03, 1.71174734E-06,-2.30622667E-09,
     &  1.94271747E-02, 1.82620566E-04, 1.33398092E-07,-2.81191569E-10,
     & -1.72011856E-01,-7.90790515E-04, 9.39603936E-07, 1.62121685E-09,
     & -2.07908525E-01,-9.75783171E-04, 8.15995114E-07,-1.09669164E-09/
       DATA ((COMIXF(IMCO,IMLN,11),IMCO=1,4),IMLN=36,40)/
     &  1.65407913E-02, 1.65391351E-04, 1.23062649E-07,-2.61313495E-10,
     & -1.48626824E-01,-7.21042497E-04, 2.37954259E-07, 1.60515666E-09,
     & -1.47076591E-01,-7.07972706E-04, 6.10126942E-07,-7.94035097E-10,
     &  1.02442789E-02, 1.31866458E-04, 1.26157614E-07,-2.64052026E-10,
     & -1.28507072E-01,-6.21998164E-04, 7.18533931E-08, 1.40040233E-09/
       DATA ((COMIXF(IMCO,IMLN,11),IMCO=1,4),IMLN=41,45)/
     & -1.47570209E-01,-7.52895820E-04, 5.83518444E-07,-6.98320452E-10,
     &  1.68740323E-03, 8.50083200E-05, 1.36792300E-07,-2.81134661E-10,
     & -1.11963007E-01,-5.26732308E-04, 1.87794114E-07, 2.25671638E-09,
     & -2.96172363E-01,-1.67463023E-03, 9.55190485E-07,-8.72748893E-10,
     & -8.03194450E-03, 2.82393212E-05, 1.44805127E-07,-2.96099869E-10/
       DATA ((COMIXF(IMCO,IMLN,11),IMCO=1,4),IMLN=46,50)/
     &  1.52107652E-01, 1.02674459E-03,-2.70477937E-07,-1.41727317E-10,
     & -9.92330941E-02,-4.80144163E-04,-1.81425975E-07,-1.24233279E-09,
     & -1.89688072E-02,-4.27797982E-05, 1.33620177E-07,-2.65550820E-10,
     &  2.18162768E-02, 2.21327088E-04, 1.45758116E-08,-2.28250236E-10,
     & -8.81081687E-02,-4.15952074E-04,-4.14830778E-08,-3.73691688E-10/
       DATA ((COMIXF(IMCO,IMLN,11),IMCO=1,4),IMLN=51,55)/
     & -3.71120999E-02,-1.79390066E-04, 9.10050864E-08,-8.68253078E-11,
     & -2.00537665E-02,-6.94609697E-05, 4.06558550E-08,-5.99014249E-11,
     & -7.89207477E-02,-3.68218541E-04, 3.27443563E-09,-3.25233963E-10,
     & -7.11487180E-02,-3.29102120E-04, 2.78190970E-08,-2.26204342E-10,
     & -6.45143857E-02,-2.96668658E-04, 4.33482292E-08,-1.94070574E-10/
       DATA ((COMIXF(IMCO,IMLN,11),IMCO=1,4),IMLN=56,60)/
     & -5.87835215E-02,-2.69262429E-04, 5.33832250E-08,-1.74906681E-10,
     & -5.37883610E-02,-2.45816612E-04, 5.99082197E-08,-1.60711081E-10,
     & -4.94048120E-02,-2.25566447E-04, 6.40647727E-08,-1.48731834E-10,
     & -4.55355136E-02,-2.07933103E-04, 6.65831186E-08,-1.37794627E-10,
     & -4.20911547E-02,-1.92415365E-04, 6.79595621E-08,-1.27389498E-10/
       DATA ((COMIXF(IMCO,IMLN,11),IMCO=1,4),IMLN=61,65)/
     & -3.90139500E-02,-1.78683564E-04, 6.86426940E-08,-1.17723959E-10,
     & -3.62512286E-02,-1.66422186E-04, 6.84942033E-08,-1.06370814E-10,
     & -3.37463986E-02,-1.55389604E-04, 6.88311046E-08,-1.00111707E-10,
     & -3.14813951E-02,-1.45414142E-04, 6.87414204E-08,-9.28444861E-11,
     & -2.94199983E-02,-1.36329638E-04, 6.86166794E-08,-8.73927901E-11/
       DATA ((COMIXF(IMCO,IMLN,11),IMCO=1,4),IMLN=66,69)/
     & -2.75380686E-02,-1.28047216E-04, 6.81310186E-08,-8.32719426E-11,
     & -2.58403945E-02,-1.20760971E-04, 6.65791106E-08,-7.90461351E-11,
     & -2.44293683E-02,-1.15620354E-04, 6.29316584E-08,-7.02071845E-11,
     & -2.44800004E-02,-1.20407942E-04, 6.21292118E-08,-6.20312862E-11/
C
C  CO2 Q-branch foreign mixing coefficient data for:
C 12 2129 cm-1 15  2, 626 (Q50 - Q 2, 2128 -2130 cm-1)
       DATA ((COMIXF(IMCO,IMLN,12),IMCO=1,4),IMLN=1,5)/
     &  3.35858211E-01,-2.54163482E-04, 5.87365624E-07,-8.16509071E-10,
     &  2.48547745E-01,-3.96500207E-04, 1.50032379E-06,-3.20585112E-09,
     &  2.31070200E-01,-5.10304550E-04, 1.88391930E-06,-3.95496485E-09,
     &  2.27081027E-01,-5.88177045E-04, 2.06280695E-06,-4.21749465E-09,
     &  2.27577888E-01,-6.48046228E-04, 2.17923737E-06,-4.38478702E-09/
       DATA ((COMIXF(IMCO,IMLN,12),IMCO=1,4),IMLN=6,10)/
     &  2.29954897E-01,-6.99849147E-04, 2.28637623E-06,-4.57711025E-09,
     &  2.33432180E-01,-7.49614320E-04, 2.40807808E-06,-4.83903451E-09,
     &  2.37773710E-01,-8.00576819E-04, 2.55178434E-06,-5.17101957E-09,
     &  2.42784523E-01,-8.54502595E-04, 2.72092361E-06,-5.57428388E-09,
     &  2.48332737E-01,-9.12719186E-04, 2.91868080E-06,-6.05394898E-09/
       DATA ((COMIXF(IMCO,IMLN,12),IMCO=1,4),IMLN=11,15)/
     &  2.54381475E-01,-9.76461876E-04, 3.14810980E-06,-6.61531141E-09,
     &  2.60936783E-01,-1.04682401E-03, 3.41264816E-06,-7.26599388E-09,
     &  2.67742826E-01,-1.12446437E-03, 3.71587790E-06,-8.01752778E-09,
     &  2.74668135E-01,-1.21070207E-03, 4.06444511E-06,-8.88925786E-09,
     &  2.81348192E-01,-1.30656760E-03, 4.46528477E-06,-9.90322618E-09/
       DATA ((COMIXF(IMCO,IMLN,12),IMCO=1,4),IMLN=16,20)/
     &  2.87313769E-01,-1.41331272E-03, 4.92751427E-06,-1.10887141E-08,
     &  2.91497959E-01,-1.53160234E-03, 5.46096760E-06,-1.24811203E-08,
     &  2.92153483E-01,-1.66191384E-03, 6.07818500E-06,-1.41260813E-08,
     &  2.86153088E-01,-1.80315911E-03, 6.79221913E-06,-1.60815593E-08,
     &  2.67005067E-01,-1.94965483E-03, 7.61060017E-06,-1.84066022E-08/
       DATA ((COMIXF(IMCO,IMLN,12),IMCO=1,4),IMLN=21,25)/
     &  2.20896765E-01,-2.08455682E-03, 8.52215112E-06,-2.11437647E-08,
     &  1.14424423E-01,-2.15736360E-03, 9.44229131E-06,-2.42124808E-08,
     & -1.51979930E-01,-1.99379931E-03, 9.97298944E-06,-2.68781536E-08,
     & -9.89332010E-01,-7.99057219E-04, 7.97737302E-06,-2.42686632E-08,
     & -5.95902842E+00, 8.88586075E-03,-1.91290746E-05, 4.29997143E-08/
C
C-------------------------------------------------------------------------------
