C NTECOM.INC -------------------------------------------------------------------
      COMMON / NTECOM / NNTE, MNTE, IDGNTE, ISONTE, IGQNTE, IQFNTE,
     &                  ENGNTE, TEMNTE
C
C VERSION
C     01JAN15 AD Remove IDXNTE, QPRNTE, QFNNTE. Add IQFNTE.
C     09JAN08 AD Add IDXNTE
C     09AUG00 AD Comment change only
C     04APR97 AD Add QPRNTE(MAXNTE)
C     03MAR97 AD Version 3.
C     01OCT96 AD Version 2.
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     Common variables associated with RFM non-LTE calculations
C     Loaded by ATMNTE, NTETEM, Read by NTECLC.
C
      INTEGER NNTE           ! No. of nonLTE vib.temp profiles
      INTEGER MNTE           ! No. of nonLTE VT profiles loaded via ATM files
      INTEGER IDGNTE(MAXNTE) ! Nonlte gas ids (NTEGAS)
      INTEGER ISONTE(MAXNTE) ! Nonlte isotope ids (NTEISO)
      INTEGER IGQNTE(MAXNTE) ! Global Quantum index of NTE levels (NTENTE)
      INTEGER IQFNTE(MAXNTE) ! Index of assoc. Vib.Part.Fn profile in /QFNCOM/
      REAL    ENGNTE(MAXNTE) ! Nonlte NTE level energy [cm-1]
      REAL    TEMNTE(MAXATM,MAXNTE) ! Nonlte vibrational-kinetic temps (NTETEM)
C
C ------------------------------------------------------------------------------
