C PHYCOM.INC ------------------------------------------------------------------
      COMMON / PHYCOM / CPKMOL, GRAVTY, TEMSPA, WGTAIR
      COMMON / PHYDBL / RADCRV
C
C VERSION
C     21SEP15 AD Separate DP variables into PHYDBL
C     12FEB14 AD Original. Extracted from phycon.inc
C
C DESCRIPTION
C     Adjustable physical constants used within the RFM.
C     Default values set in rfmdef.for
C     Modified by values read from *PHY section of driver table
C
      REAL             CPKMOL ! Molar heat cap of air [J/K/kmole]
      REAL             GRAVTY ! Accn due to gravity [m/s^2]
      REAL             WGTAIR ! Molecular weight of air [kg/kmole]
      REAL             TEMSPA ! Cosmic background temperature [K]
C
      DOUBLE PRECISION RADCRV ! Radius of curvature [km]
C
C -----------------------------------------------------------------------------
