C SFCCOM.INC -------------------------------------------------------------------
      COMMON / SFCCOM / NSFC, RFLSFC, TEMSFC
      COMMON / SFCDBL / EMSSFC, WNOSFC
C
C VERSION
c     07AUG15 AD Separate DP variables into SFCDBL
C     23APR12 AD Change EMSSFC to array and add WNOSFC, RFLSFC
C     13JUL98 AD Original.
C
C DESCRIPTION
C     Surface parameters.
C     Read from Driver Table if SFC flag is enabled.
C     Loaded/checked by inpsfc.for
C     Accessed by sfcems.for, rfmrad.for and rfmflx.for
C
      INTEGER          NSFC   ! Number of Emissivity values
      LOGICAL          RFLSFC ! T=reflecting surface, F=no reflection
      REAL             TEMSFC ! Surface Temperature [K]
      DOUBLE PRECISION EMSSFC(MAXSFC) ! Surface Emissivity (0:1)
      DOUBLE PRECISION WNOSFC(MAXSFC) ! Wavenumbers [cm-1] for sfc.emissivity
C
C ------------------------------------------------------------------------------
