      SUBROUTINE UNLCYC ( ICYC )
C
C VERSION
C     01JAN15 AD Tidied up
C     03MAR97 AD Version 3.
C     01OCT96 AD Version 2.
C     01OCT96 AD Unload BSLQ from cyclic buffer
C     21SEP96 AD Rename IUSVIB,ILSVIB to IUSNTE,ILSNTE
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     Unload required line from Cyclic buffer.
C     Called by RFMFIN.
C     Copies line parameter data from /CYCCOM/ to /HITCOM/ 
C
      IMPLICIT NONE
C
C  ARGUMENTS      
      INTEGER      ICYC    !  I  Index of line in cyclic buffer
C
C GLOBAL CONSTANT 
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'cyccom.inc' ! Cyclic line data buffers
      INCLUDE 'hitcom.inc' ! HITRAN line database variables
C
C EXECUTABLE CODE --------------------------------------------------------------
C
      WNUM   = WNOCYC(ICYC) 
      ISO    = ISOCYC(ICYC)
      IDGAS  = IDGCYC(ICYC)
      STREN  = STRCYC(ICYC)
      ABROAD = ABRCYC(ICYC) 
      SBROAD = SBRCYC(ICYC) 
      ELS    = ELSCYC(ICYC) 
      ABCOEF = ABCCYC(ICYC) 
      TSP    = TSPCYC(ICYC) 
      IUSGQ  = IUSCYC(ICYC) 
      ILSGQ  = ILSCYC(ICYC) 
      IUSNTE = IUVCYC(ICYC)
      ILSNTE = ILVCYC(ICYC)
      BSLQ   = BLQCYC(ICYC)
C
      END
