      LOGICAL FUNCTION USEMOL ( IDG )
C
C VERSION
C     01JAN15 AD Original.
C
C DESCRIPTION
C     Check if molecule is required for RFM calculation.
C     RFM general purpose function
C
      IMPLICIT NONE
C
C ARGUMENTS
      INTEGER       IDG       !  I  RFM/HITRAN ID for molecule (eg H2O=1)
C
C GLOBAL CONSTANTS
      INCLUDE 'rfmsiz.inc' ! RFM Array sizes
C
C COMMON VARIABLES
      INCLUDE 'gascom.inc' ! Molecular and isotope data
C
C EXECUTABLE CODE --------------------------------------------------------------
C
      USEMOL = IGSMOL(IDG) .NE. 0
C
      END
