C XSCCOM.INC -------------------------------------------------------------------
      COMMON / XSCCOM / NXSC, IDSXSC, IGSXSC, LUNXSC, NPXSC, NTXSC, 
     &                  GASXSC
      COMMON / XSCDBL / WN1XSC, WN2XSC
C
C VERSION
C     29SEP15 AD Move DP variables to XSCDBL
C     20NOV14 AD Rewritten
C     17APR01 AD Add LXSC. Move DP variables to front so remove XSCDBL
C     31AUG99 AD Convert WN1XSC, WN2XSC from REAL to D.P. and put in
C                    separate common block XSCDBL
C     03MAR97 AD Version 3.
C     01OCT96 AD Version 2.
C     01SEP96 AD Version 1.
C
C DESCRIPTION
C     Common variables associated with RFM X/S datasets
C     Loaded by XSCFIL.
C
      INTEGER      NXSC            ! No. of X/S datasets being used
      INTEGER      IDSXSC(MAXXSC)  ! X/S dataset index within .xsc file
      INTEGER      IGSXSC(MAXXSC)  ! Index of Gas for each X/S dataset
      INTEGER      LUNXSC(MAXXSC)  ! LUN of X/S File containing X/S dataset
      INTEGER      NPXSC(MAXXSC)   ! No.Abs.Coeff values within each X/S dataset
      INTEGER      NTXSC(MAXXSC)   ! No. (p,T) subsets within each X/S dataset
      LOGICAL      GASXSC(MAXGAS)  ! T=X/S file found for gas, F=no file
      DOUBLE PRECISION WN1XSC(MAXXSC)  ! Lower Wno. [cm-1] of each X/S dataset
      DOUBLE PRECISION WN2XSC(MAXXSC)  ! Upper Wno [cm-1] of each X/S dataset
C
C ------------------------------------------------------------------------------
